/* file: checks.h
   provides macros for checking the result of a system call
 */

/* The macro CHECK is used to check that the value returned by a
   system call is nonzero, and terminate the program immediately if
   this check fails.
 */

/* for perror() */
#include <stdio.h>

/* for strerror() */
#include <string.h>

/* for _exit() */
#include <unistd.h>

/* for stderr */
#include <stdio.h>

#ifndef CHECK

#define CHECK(CALL)\
 if ((CALL) < 0) {\
    perror (#CALL);\
    exit (-1);\
 }

#define ERR_QUIT(MSG) {\
 perror (MSG);\
 exit (-1);\
 }

#define ERR_QUIT_ERRNO(MSG, ERRNO) {\
 fprintf (stderr, "%s: %s\n", (MSG), strerror(ERRNO));\
 exit (-1);\
 }

#endif

