<HTML>
<HEAD>   
<TITLE>UNIX man pages : intro (3)</TITLE>
</head>
<BODY BGCOLOR="#FFFFFF" LINK="#880000" VLINK="#440000">
<PRE>

SunOS 5.6                                                  XIL(3)

<H3>NAME</H3>
     XIL intro - introduction to the XIL library

<H3>DESCRIPTION</H3>
     These XIL reference manual pages  describe  the  syntax  for
     using  the  functions  contained in the XIL Imaging Library.
     The library follows a  standard  "operator"  imaging  model.
     References   to   images   (image  handles)  are  passed  to
     operators, which act  on  the  image  data.   Each  operator
     allows you to specify one or more source images and a single
     destination image, along with the  parameters  necessary  to
     perform  the  operation.   General  information  on  how the
     library handles certain concepts is provided as follows:

     <cite>Topic</cite>                                             <cite>Reference</cite>
                                                       <cite>Manual</cite>
                                                       <cite>Page</cite>

     Images                                            <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create+3">xil_create(3)</A>

     Image Storage                                     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?Storage+3">Storage(3)</A>

     Regions of interest                               <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_create+3">xil_roi_create(3)</A>

     Color spaces                                      <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_colorspace+3">xil_set_colorspace(3)</A>

     Origins                                           <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin+3">xil_get_origin(3)</A>

     Kernels                                           <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create+3">xil_kernel_create(3)</A>

     Overview on compressors                           <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_compress+3">xil_compress(3)</A>

     Specific information on XIL compressors           Consult
                                                       the    man
                                                       page   for
                                                       the
                                                       specific
                                                       compressor.

<H3>ERRORS</H3>
     Error handling is asynchronous in the XIL library.   Because
     operations  are  deferred  to optimize groups of operations,
     errors may not be reported  after  the  function  call  that
     produces  the  error  is  made  in  the application program.
     Instead, the error is reported when the  set  of  operations
     that contains the error is executed.

     The XIL library uses the following categories of errors:
          User (or usage) errors
          CIS data errors
          Resource errors
          Configuration errors

SunOS 5.6          Last change: 13 April 1994                   1

SunOS 5.6                                                  XIL(3)

          System  errors
          Arithmetic errors
          Internal errors
          Other errors

  <b>User Errors</b>
     Errors in this category are generated  when  a  user  passes
     invalid  parameters  to  XIL  functions  or uses the library
     incorrectly in some other way.

  <b>CIS Data Errors</b>
     These errors occur when a bitstream does not conform to  the
     specification of the specified compression type.

  <b>Resource Errors</b>
     The primary finite resource that the XIL library depends  on
     is  memory.  If the XIL library runs out of memory, an error
     message to that effect will be generated. Then, depending on
     what  the library was doing when the request for more memory
     occurred, a number of secondary error messages may  also  be
     generated,  indicating  the failure of the library to create
     objects,  perform  operations,  or  complete  various  other
     tasks.   Some  of  these  errors  may  be System errors (see
     below).

  <b>Configuration Errors</b>
     Errors in this category can occur  if  the  XIL  library  is
     improperly installed.

  <b>System Errors</b>
     System errors occur when the XIL library detects  a  problem
     with  its  ongoing  operation.   These  are  often secondary
     errors caused by other failures in the system.

  <b>Internal Errors</b>
     XIL performs a number of internal checks on  its  operation.
     A  failure  of  one  of  these  checks is called an internal
     error.  Internal errors should not occur.  If such errors do
     occur  (in  the  absence of an out-of-memory error), contact
     customer support and give as much  information  as  possible
     about the error and the situation that caused it.

  <b>Arithmetic Errors</b>
     These errors occur when XIL detects an arithmetic  error  in
     an operation (for example, dividing by zero).

  <b>For More Information</b>
     Appendix B of the <cite>XIL</cite> <cite>Programmer</cite>'<cite>s</cite> <cite>Guide</cite> provides a list  of
     error messages by number.  It also lists which XIL functions
     may generate a given error message.

SunOS 5.6          Last change: 13 April 1994                   2

SunOS 5.6                                                  XIL(3)

<H3>LIST OF FUNCTIONS</H3>
     This section lists all the  functions  in  the  XIL  Imaging
     Library.   If  the  function  does  not appear on a man page
     bearing its name (in other words, it is grouped  with  other
     functions  on  a  man  page bearing the name of one of those
     other functions), then the function whose page it appears on
     is printed in parentheses to the right of it.

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?Cell+3">Cell(3)</A>
                    Cell compressor/decompressor  for  compressed
                    image sequences (CISs)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?CellB+3">CellB(3)</A>
                    XIL     driver      for      CellB      video
                    compression/decompression

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?faxG3+3">faxG3(3)</A>
                    CCITT  Group  3  compressor/decompressor  for
                    CISs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?faxG4+3">faxG4(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?faxG3+3">faxG3(3)</A> )
                    CCITT  Group  4  compressor/decompressor  for
                    CISs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?H261+3">H261(3)</A>
                    H.261 decompressor for CISs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?Jpeg+3">Jpeg(3)</A>
                    JPEG compressor/decompressor for CISs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?JpegLL+3">JpegLL(3)</A>
                    JPEG  Lossless  compressor/decompressor   for
                    CISs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?Mpeg1+3">Mpeg1(3)</A>
                    MPEG decompressor for CISs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?PhotoCD+3">PhotoCD(3)</A>
                    Reader for Kodak Photo CD(tm) format

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?Storage+3">Storage(3)</A>
                    Storage types and formats for XIL images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_absolute+3">xil_absolute(3)</A>
                    finds the absolute  value  of  pixels  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_add+3">xil_add(3)</A>
                    adds two images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_add_const+3">xil_add_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_add+3">xil_add(3)</A> )
                    adds a constant to each band of an image

SunOS 5.6          Last change: 13 April 1994                   3

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_affine+3">xil_affine(3)</A>
                    affine-transforms an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_and+3">xil_and(3)</A>
                    bitwise logical AND operation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_and_const+3">xil_and_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_and+3">xil_and(3)</A> )
                    bitwise logical AND operation with constants

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_band_combine+3">xil_band_combine(3)</A>
                    interband linear combination operation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_black_generation+3">xil_black_generation(3)</A>
                    adjusts amount of black in a CMYK image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_blend+3">xil_blend(3)</A>
                    blends two images according to an alpha image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_call_next_error_handler+3">xil_call_next_error_handler(3)</A>                             (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_install_error_handler+3">xil_install_error_handler(3)</A> )
                    allows error handler further down  the  chain
                    to handle the error

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cast+3">xil_cast(3)</A>
                    casts  an  image  from  one  data  type  into
                    another

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_choose_colormap+3">xil_choose_colormap(3)</A>
                    chooses a reasonable colormap

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_attempt_recovery+3">xil_cis_attempt_recovery(3)</A>
                    attempts recovery after an error occurs in  a
                    CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_create+3">xil_cis_create(3)</A>
                    creates a new CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_destroy+3">xil_cis_destroy(3)</A>
                    destroys a CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_flush+3">xil_cis_flush(3)</A>
                    completes pending operations for a CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_attribute+3">xil_cis_get_attribute(3)</A>
                    gets a compressor attribute

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_autorecover+3">xil_cis_get_autorecover(3)</A>
                    indicates whether a decompressor will recover
                    automatically  from  a recoverable datastream
                    error

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_bits_ptr+3">xil_cis_get_bits_ptr(3)</A>

SunOS 5.6          Last change: 13 April 1994                   4

SunOS 5.6                                                  XIL(3)

                    gets a pointer to compressed data

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_by_name+3">xil_cis_get_by_name(3)</A>
                    returns a handle to the CIS object  with  the
                    specified name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_compression_type+3">xil_cis_get_compression_type(3)</A>
                    returns  the  name  of  the   type   of   the
                    compressor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_compressor+3">xil_cis_get_compressor(3)</A>
                    returns the name of a specific compressor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_input_type+3">xil_cis_get_input_type(3)</A>
                    returns the type of image  that  a  CIS  will
                    accept for compression

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_keep_frames+3">xil_cis_get_keep_frames(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_max_frames+3">xil_cis_get_max_frames(3)</A> )
                    gets    maximum    number    of    previously
                    decompressed frames in buffer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_max_frames+3">xil_cis_get_max_frames(3)</A>
                    gets maximum number of compressed  frames  in
                    buffer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_name+3">xil_cis_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_by_name+3">xil_cis_get_by_name(3)</A> )
                    returns a copy of the specified CIS  object's
                    name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_output_type+3">xil_cis_get_output_type(3)</A>
                    returns  the  XilImageType  produced   by   a
                    compressor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_random_access+3">xil_cis_get_random_access(3)</A>
                    shows whether a  compressor  supports  random
                    accessing of a CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_read_frame+3">xil_cis_get_read_frame(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_start_frame+3">xil_cis_get_start_frame(3)</A> )
                    returns index to the current frame

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_read_invalid+3">xil_cis_get_read_invalid(3)</A>
                    determines  whether  a  CIS  is  able  to  be
                    decompressed

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_start_frame+3">xil_cis_get_start_frame(3)</A>
                    returns index to the first  compressed  image
                    in the CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_state+3">xil_cis_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

SunOS 5.6          Last change: 13 April 1994                   5

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_write_frame+3">xil_cis_get_write_frame(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_start_frame+3">xil_cis_get_start_frame(3)</A> )
                    returns index to the last frame +1 of the CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_write_invalid+3">xil_cis_get_write_invalid(3)</A>
                    determines whether a CIS is able to  continue
                    to be compressed

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_has_data+3">xil_cis_has_data(3)</A>
                    returns the number of bytes from the  current
                    frame to the end of the CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_has_frame+3">xil_cis_has_frame(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_has_data+3">xil_cis_has_data(3)</A> )
                    returns TRUE if a complete  frame  exists  at
                    the read frame position

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_number_of_frames+3">xil_cis_number_of_frames(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_has_data+3">xil_cis_has_data(3)</A> )
                    determines number of complete  unread  frames
                    of compressed data in the CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_put_bits+3">xil_cis_put_bits(3)</A>
                    puts compressed data into a CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_put_bits_ptr+3">xil_cis_put_bits_ptr(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_put_bits+3">xil_cis_put_bits(3)</A> )
                    supplies a pointer to compressed  data  to  a
                    CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_reset+3">xil_cis_reset(3)</A>
                    clears data in a CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_seek+3">xil_cis_seek(3)</A>
                    finds a given frame of compressed data  in  a
                    CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_set_attribute+3">xil_cis_set_attribute(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_attribute+3">xil_cis_get_attribute(3)</A> )
                    sets a compressor attribute

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_set_autorecover+3">xil_cis_set_autorecover(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_autorecover+3">xil_cis_get_autorecover(3)</A> )
                    sets  permission  to  attempt   recovery   if
                    autorecoverable bitstream errors occur

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_set_keep_frames+3">xil_cis_set_keep_frames(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_max_frames+3">xil_cis_get_max_frames(3)</A> )
                    sets  the  number  of  frames  prior  to  the
                    current read frame to be kept in the buffer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_set_max_frames+3">xil_cis_set_max_frames(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_max_frames+3">xil_cis_get_max_frames(3)</A> )
                    sets the maximum number of frames  or  images
                    in the buffer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_set_name+3">xil_cis_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_get_by_name+3">xil_cis_get_by_name(3)</A> )
                    sets the name of the specified CIS object  to
                    the one provided

SunOS 5.6          Last change: 13 April 1994                   6

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_cis_sync+3">xil_cis_sync(3)</A>
                    forces    any     outstanding     call     to
                    <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_compress+3">xil_compress(3)</A>  to  complete  when  it would
                    otherwise have been deferred

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_close+3">xil_close(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_open+3">xil_open(3)</A> )
                    ends an XIL session

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_color_convert+3">xil_color_convert(3)</A>
                    converts an image from  one  color  space  to
                    another

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_color_correct+3">xil_color_correct(3)</A>
                    color   corrects   an   XilImage   given   an
                    XilColorspaceList  of color spaces using KCMS
                    (TM) color management

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorcube_create+3">xil_colorcube_create(3)</A>
                    creates a  lookup  table  that  represents  a
                    colorcube

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_create+3">xil_colorspace_create(3)</A>
                    create name of an XilColorspace object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_destroy+3">xil_colorspace_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_create+3">xil_colorspace_create(3)</A> )
                    destroy name of an XilColorspace object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_get_by_name+3">xil_colorspace_get_by_name(3)</A>
                    gets a color space object by its name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_get_name+3">xil_colorspace_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_create+3">xil_colorspace_create(3)</A> )
                    get name of an XilColorspace object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_get_state+3">xil_colorspace_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_get_type+3">xil_colorspace_get_type(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_create+3">xil_colorspace_create(3)</A> )
                    get type of an XilColorspace object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_set_name+3">xil_colorspace_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspace_create+3">xil_colorspace_create(3)</A> )
                    set the name of an XilColorspace object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_create+3">xil_colorspacelist_create(3)</A>
                    create an XilColorspaceList object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_destroy+3">xil_colorspacelist_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_create+3">xil_colorspacelist_create(3)</A>
     )
                    destroy an XilColorspaceList object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_get_by_name+3">xil_colorspacelist_get_by_name(3)</A>                          (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_create+3">xil_colorspacelist_create(3)</A> )

SunOS 5.6          Last change: 13 April 1994                   7

SunOS 5.6                                                  XIL(3)

                    get by name an XilColorspaceList object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_get_name+3">xil_colorspacelist_get_name(3)</A>                             (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_create+3">xil_colorspacelist_create(3)</A> )
                    get name of an XilColorspaceList object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_get_state+3">xil_colorspacelist_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_set_name+3">xil_colorspacelist_set_name(3)</A>                             (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorspacelist_create+3">xil_colorspacelist_create(3)</A> )
                    set name of an XilColorspaceList object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_compress+3">xil_compress(3)</A>
                    compresses an image into a CIS

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_convolve+3">xil_convolve(3)</A>
                    convolves an image with a specified kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_copy+3">xil_copy(3)</A>
                    copies an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_copy_pattern+3">xil_copy_pattern(3)</A>
                    replicates  the   source   image   into   the
                    destination image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_copy_with_planemask+3">xil_copy_with_planemask(3)</A>
                    use a plane mask to copy a source image  into
                    a destination image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create+3">xil_create(3)</A>
                    creates an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_child+3">xil_create_child(3)</A>
                    creates a child image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_copy+3">xil_create_copy(3)</A>
                    creates a  new  image  with  a  copy  of  the
                    source's data

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_double_buffered_window+3">xil_create_double_buffered_window(3)</A>                       (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_from_window+3">xil_create_from_window(3)</A> )
                    create device images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_from_device+3">xil_create_from_device(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_from_window+3">xil_create_from_window(3)</A> )
                    creates  an   image   associated   with   the
                    specified device

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_from_type+3">xil_create_from_type(3)</A>
                    creates an image from an XilImageType object

SunOS 5.6          Last change: 13 April 1994                   8

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_from_window+3">xil_create_from_window(3)</A>
                    creates  an   image   associated   with   the
                    specified X window

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_temporary+3">xil_create_temporary(3)</A>
                    create a temporary image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_temporary_from_type+3">xil_create_temporary_from_type(3)</A> (  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_create_temporary+3">xil_create_temporary(3)</A>
     )
                    create a temporary image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_decompress+3">xil_decompress(3)</A>
                    decompresses a CIS

     xil_default_error_handler (3) ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_install_error_handler+3">xil_install_error_handler(3)</A>
     )
                    prints error messages to the  standard  error
                    output

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_destroy+3">xil_destroy(3)</A>
                    destroys an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_device_create+3">xil_device_create(3)</A>
                    creates a device object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_device_destroy+3">xil_device_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_device_create+3">xil_device_create(3)</A> )
                    destroys a device object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_device_set_attribute+3">xil_device_set_attribute(3)</A>
                    stores device  appropriate  attributes  in  a
                    device object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_device_set_value+3">xil_device_set_value(3)</A>
                    stores  device-initialization  values  in   a
                    device object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dilate+3">xil_dilate(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_erode+3">xil_erode(3)</A> )
                    dilates an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_create+3">xil_dithermask_create(3)</A>
                    creates a dither mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_create_copy+3">xil_dithermask_create_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_create+3">xil_dithermask_create(3)</A> )
                    creates and returns a copy of  the  specified
                    dither mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_destroy+3">xil_dithermask_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_create+3">xil_dithermask_create(3)</A> )
                    destroys the specified dither mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_by_name+3">xil_dithermask_get_by_name(3)</A>
                    returns a handle to the dither mask with  the
                    specified name

SunOS 5.6          Last change: 13 April 1994                   9

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_height+3">xil_dithermask_get_height(3)</A>
                    gets the height of the specified dither mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_name+3">xil_dithermask_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_by_name+3">xil_dithermask_get_by_name(3)</A> )
                    returns a copy of the specified dither mask's
                    name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_nbands+3">xil_dithermask_get_nbands(3)</A> (  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_height+3">xil_dithermask_get_height(3)</A>
     )
                    gets the number of  bands  in  the  specified
                    dither mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_state+3">xil_dithermask_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_values+3">xil_dithermask_get_values(3)</A>
                    returns a copy of the internal  values  in  a
                    dithermask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_width+3">xil_dithermask_get_width(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_height+3">xil_dithermask_get_height(3)</A> )
                    gets the width of the specified dither mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_set_name+3">xil_dithermask_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_dithermask_get_by_name+3">xil_dithermask_get_by_name(3)</A> )
                    sets the name of the specified dither mask to
                    the one provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_divide+3">xil_divide(3)</A>
                    divides one image by another

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_divide_by_const+3">xil_divide_by_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_divide+3">xil_divide(3)</A> )
                    divides a constant into each band of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_divide_into_const+3">xil_divide_into_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_divide+3">xil_divide(3)</A> )
                    divides each band of an image into constants

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_edge_detection+3">xil_edge_detection(3)</A>
                    detects edges within an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_erode+3">xil_erode(3)</A>
                    erodes an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_edge_detection+3">xil_edge_detection(3)</A>
                    detects edges within an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_diffusion+3">xil_error_diffusion(3)</A>
                    converts an image into  a  single-band  image
                    with   a   lookup  table  by  error-diffusion
                    dithering

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_category+3">xil_error_get_category(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns the general category of the error

SunOS 5.6          Last change: 13 April 1994                  10

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_category_string+3">xil_error_get_category_string(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns a character  string  that  identifies
                    the error category

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_id+3">xil_error_get_id(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns  a  character  string  that  uniquely
                    identifies the error

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_location+3">xil_error_get_location(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns an encrypted error location code

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_object+3">xil_error_get_object(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns the XIL object that an error occurred
                    on

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_primary+3">xil_error_get_primary(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns TRUE if the currently reported  error
                    is the primary cause of the error

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A>
                    returns an  error  string  in  the  currently
                    configured language

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_export+3">xil_export(3)</A>
                    exports an  image  from  XIL  to  application
                    space

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_extrema+3">xil_extrema(3)</A>
                    finds minimum and maximum values of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_fill+3">xil_fill(3)</A>
                    performs boundary fill from a specified start
                    point in an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_active_buffer+3">xil_get_active_buffer(3)</A>
                    get or set the active  buffer  on  a  double-
                    buffered device image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_attribute+3">xil_get_attribute(3)</A>
                    gets  the  values  of  client  attributes  of
                    images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_by_name+3">xil_get_by_name(3)</A>
                    returns  a  handle  to  the  image  with  the
                    specified name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_child_offsets+3">xil_get_child_offsets(3)</A>
                    gets the values of the offsets into a  parent
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_datatype+3">xil_get_datatype(3)</A>
                    gets an image's data type

SunOS 5.6          Last change: 13 April 1994                  11

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_device_attribute+3">xil_get_device_attribute(3)</A>
                    gets  the  values  of  attributes  of  device
                    images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_exported+3">xil_get_exported(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_export+3">xil_export(3)</A> )
                    gets the export status of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_height+3">xil_get_height(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_width+3">xil_get_width(3)</A> )
                    gets the height of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_imagetype+3">xil_get_imagetype(3)</A>
                    gets the type of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_info+3">xil_get_info(3)</A>
                    gets information about the parameters  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_memory_storage+3">xil_get_memory_storage(3)</A>
                    gets an image's memory storage

     xil_get_name (3) ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_by_name+3">xil_get_by_name(3)</A> )
                    returns a copy of the specified image's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_nbands+3">xil_get_nbands(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_width+3">xil_get_width(3)</A> )
                    gets the number of bands in an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin+3">xil_get_origin(3)</A>
                    gets the coordinates  of  the  origin  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin_x+3">xil_get_origin_x(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin+3">xil_get_origin(3)</A> )
                    gets the x coordinate of  the  origin  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin_y+3">xil_get_origin_y(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin+3">xil_get_origin(3)</A> )
                    gets the y coordinate of  the  origin  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_parent+3">xil_get_parent(3)</A>
                    gets a parent image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_pixel+3">xil_get_pixel(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_pixel+3">xil_set_pixel(3)</A> )
                    gets the value of a single pixel in an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_readable+3">xil_get_readable(3)</A>
                    returns TRUE if an image can  be  used  as  a
                    source

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_roi+3">xil_get_roi(3)</A>
                    gets the region of interest (ROI) attached to
                    an image

SunOS 5.6          Last change: 13 April 1994                  12

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_size+3">xil_get_size(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_width+3">xil_get_width(3)</A> )
                    gets the size of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A>
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_storage_movement+3">xil_get_storage_movement(3)</A>
                    get and set the storage movement flag  on  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_storage_with_copy+3">xil_get_storage_with_copy(3)</A>
                    get and set the  image's  storage  through  a
                    copy to or from contiguous memory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_synchronize+3">xil_get_synchronize(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sync+3">xil_sync(3)</A> )
                    returns status of synchronization of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_tile_storage+3">xil_get_tile_storage(3)</A>
                    get and set the storage  associated  with  an
                    image on a per tile basis

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_tilesize+3">xil_get_tilesize(3)</A>
                    get and set the tile size of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_width+3">xil_get_width(3)</A>
                    gets the width of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_writable+3">xil_get_writable(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_readable+3">xil_get_readable(3)</A> )
                    returns TRUE if an image can  be  used  as  a
                    destination

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram+3">xil_histogram(3)</A>
                    generates histogram data from an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_create+3">xil_histogram_create(3)</A>
                    creates a histogram object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_create_copy+3">xil_histogram_create_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_create+3">xil_histogram_create(3)</A> )
                    create and return a copy of histogram

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_destroy+3">xil_histogram_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_create+3">xil_histogram_create(3)</A> )
                    destroys a histogram object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_by_name+3">xil_histogram_get_by_name(3)</A>
                    returns a handle to the histogram object with
                    the specified name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_info+3">xil_histogram_get_info(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_nbands+3">xil_histogram_get_nbands(3)</A> )
                    gets values of histogram attributes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_limits+3">xil_histogram_get_limits(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_nbands+3">xil_histogram_get_nbands(3)</A> )

SunOS 5.6          Last change: 13 April 1994                  13

SunOS 5.6                                                  XIL(3)

                    gets values of arrays that  represent  values
                    of the first and last bin in each band

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_name+3">xil_histogram_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_by_name+3">xil_histogram_get_by_name(3)</A> )
                    returns a copy  of  the  specified  histogram
                    object's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_nbands+3">xil_histogram_get_nbands(3)</A>
                    gets the number of bands represented  by  the
                    histogram

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_nbins+3">xil_histogram_get_nbins(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_nbands+3">xil_histogram_get_nbands(3)</A> )
                    gets the array  of  values  representing  the
                    number of histogram bins for each band

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_state+3">xil_histogram_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_values+3">xil_histogram_get_values(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_nbands+3">xil_histogram_get_nbands(3)</A> )
                    gets  the  array  of  values  for  the   data
                    attribute

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_set_name+3">xil_histogram_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_histogram_get_by_name+3">xil_histogram_get_by_name(3)</A> )
                    sets the  name  of  the  specified  histogram
                    object to the one provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_by_name+3">xil_imagetype_get_by_name(3)</A>
                    returns a handle to  the  image  type  object
                    with the specified name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_datatype+3">xil_imagetype_get_datatype(3)</A>
                    gets an image type object's data type

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_height+3">xil_imagetype_get_height(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_width+3">xil_imagetype_get_width(3)</A> )
                    gets the height of an image type object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_info+3">xil_imagetype_get_info(3)</A>
                    gets information about the parameters  of  an
                    image type object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_name+3">xil_imagetype_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_by_name+3">xil_imagetype_get_by_name(3)</A> )
                    returns a copy of the  specified  image  type
                    object's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_nbands+3">xil_imagetype_get_nbands(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_width+3">xil_imagetype_get_width(3)</A> )
                    gets the number of bands  of  an  image  type
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_size+3">xil_imagetype_get_size(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_width+3">xil_imagetype_get_width(3)</A> )
                    gets the size of an image type object

SunOS 5.6          Last change: 13 April 1994                  14

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_state+3">xil_imagetype_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_width+3">xil_imagetype_get_width(3)</A>
                    gets the width of an image type object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_set_name+3">xil_imagetype_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_imagetype_get_by_name+3">xil_imagetype_get_by_name(3)</A> )
                    sets the name of  the  specified  image  type
                    object to the one provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_import+3">xil_import(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_export+3">xil_export(3)</A> )
                    imports an image from  application  space  to
                    XIL space

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_install_error_handler+3">xil_install_error_handler(3)</A>
                    installs a customized error handler

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_create+3">xil_interpolation_table_create(3)</A>
                    creates an interpolation table object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_create_copy+3">xil_interpolation_table_create_copy(3)</A>                     (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_create+3">xil_interpolation_table_create(3)</A> )
                    creates copy of an interpolation table object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_destroy+3">xil_interpolation_table_destroy(3)</A>                         (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_create+3">xil_interpolation_table_create(3)</A> )
                    destroys an interpolation table object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_get_data+3">xil_interpolation_table_get_data(3)</A>
                    gets  the  data  of  an  interpolation  table
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_get_kernel_size+3">xil_interpolation_table_get_kernel_size(3)</A>
                    gets the kernel size of the subsample kernels
                    in an interpolation table object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_get_subsamples+3">xil_interpolation_table_get_subsamples(3)</A>
                    gets  the  number   of   subsamples   in   an
                    interpolation table object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_interpolation_table_get_values+3">xil_interpolation_table_get_values(3)</A>
                    get    the    values     stored     in     an
                    XilInterpolationTable object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create+3">xil_kernel_create(3)</A>
                    creates a kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create_copy+3">xil_kernel_create_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create+3">xil_kernel_create(3)</A> )
                    creates and returns a copy of  the  specified
                    kernel

SunOS 5.6          Last change: 13 April 1994                  15

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create_separable+3">xil_kernel_create_separable(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create+3">xil_kernel_create(3)</A> )
                    create separable kernels

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_destroy+3">xil_kernel_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_create+3">xil_kernel_create(3)</A> )
                    destroys the specified kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_by_name+3">xil_kernel_get_by_name(3)</A>
                    returns a handle to the  kernel  object  with
                    the specified name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_height+3">xil_kernel_get_height(3)</A>
                    gets the height of a kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_key_x+3">xil_kernel_get_key_x(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_height+3">xil_kernel_get_height(3)</A> )
                    gets the x coordinate of the key value  of  a
                    kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_key_y+3">xil_kernel_get_key_y(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_height+3">xil_kernel_get_height(3)</A> )
                    gets the y coordinate of the key value  of  a
                    kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_name+3">xil_kernel_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_by_name+3">xil_kernel_get_by_name(3)</A> )
                    returns  a  copy  of  the  specified   kernel
                    object's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_state+3">xil_kernel_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_values+3">xil_kernel_get_values(3)</A>
                    get  the  values  stored  internally  in  and
                    XilKernel object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_width+3">xil_kernel_get_width(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_height+3">xil_kernel_get_height(3)</A> )
                    gets the width of a kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_set_name+3">xil_kernel_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_kernel_get_by_name+3">xil_kernel_get_by_name(3)</A> )
                    sets the name of the specified kernel  object
                    to the one provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup+3">xil_lookup(3)</A>
                    passes an image through a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_convert+3">xil_lookup_convert(3)</A>
                    calculates  a  lookup  table  that   converts
                    between source and destination lookup tables

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_create+3">xil_lookup_create(3)</A>
                    creates a single lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_create_combined+3">xil_lookup_create_combined(3)</A>
                    creates a combined lookup table

SunOS 5.6          Last change: 13 April 1994                  16

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_create_copy+3">xil_lookup_create_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_create+3">xil_lookup_create(3)</A> )
                    creates and returns a copy of  the  specified
                    lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_destroy+3">xil_lookup_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_create+3">xil_lookup_create(3)</A> )
                    destroys a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_band_lookup+3">xil_lookup_get_band_lookup(3)</A>
                    gets a single lookup table out of a  combined
                    lookup

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_by_name+3">xil_lookup_get_by_name(3)</A>
                    returns a handle to the lookup table with the
                    specified name

     xil_lookup_get_colorcube (3) ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorcube_create+3">xil_colorcube_create(3)</A> )
                    returns TRUE if a lookup table  is  formatted
                    as a colorcube

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_colorcube_info+3">xil_lookup_get_colorcube_info(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_colorcube_create+3">xil_colorcube_create(3)</A> )
                    returns formatting information about a lookup
                    table used as a colorcube

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_datatype+3">xil_lookup_get_input_datatype(3)</A>
                    gets the data type of the input to  a  lookup
                    table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_nbands+3">xil_lookup_get_input_nbands(3)</A>                             (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_output_nbands+3">xil_lookup_get_output_nbands(3)</A> )
                    gets the number of bands in the input from  a
                    lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_name+3">xil_lookup_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_by_name+3">xil_lookup_get_by_name(3)</A> )
                    returns  a  copy  of  the  specified   lookup
                    table's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_num_entries+3">xil_lookup_get_num_entries(3)</A>                              (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_datatype+3">xil_lookup_get_input_datatype(3)</A> )
                    gets the number of entries in a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_offset+3">xil_lookup_get_offset(3)</A> (  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_datatype+3">xil_lookup_get_input_datatype(3)</A>
     )
                    gets the offset value of a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_output_datatype+3">xil_lookup_get_output_datatype(3)</A>                          (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_datatype+3">xil_lookup_get_input_datatype(3)</A> )
                    gets the data  type  of  the  output  from  a
                    lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_output_nbands+3">xil_lookup_get_output_nbands(3)</A>                            (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_datatype+3">xil_lookup_get_input_datatype(3)</A> )
                    gets the number of bands in the output from a

SunOS 5.6          Last change: 13 April 1994                  17

SunOS 5.6                                                  XIL(3)

                    lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_state+3">xil_lookup_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_values+3">xil_lookup_get_values(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_set_values+3">xil_lookup_set_values(3)</A> )
                    gets the values in a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_version+3">xil_lookup_get_version(3)</A>
                    gets the unique version number  of  a  lookup
                    table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_set_name+3">xil_lookup_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_by_name+3">xil_lookup_get_by_name(3)</A> )
                    sets the name of the specified  lookup  table
                    to the one provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_set_offset+3">xil_lookup_set_offset(3)</A> (  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_get_input_datatype+3">xil_lookup_get_input_datatype(3)</A>
     )
                    sets the offset value of a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_lookup_set_values+3">xil_lookup_set_values(3)</A>
                    sets the values in a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_max+3">xil_max(3)</A>
                    finds the larger of pixels in two images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_min+3">xil_min(3)</A>
                    finds the lesser of pixels in two images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_multiply+3">xil_multiply(3)</A>
                    multiplies two images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_multiply_const+3">xil_multiply_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_multiply+3">xil_multiply(3)</A> )
                    multiplies  each  band  of  an  image  by   a
                    floating point constant

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_nearest_color+3">xil_nearest_color(3)</A>
                    converts an image into a single-band image by
                    mapping  pixels  to  the nearest entries in a
                    lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_not+3">xil_not(3)</A>
                    bitwise logical NOT operation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_object_get_error_string+3">xil_object_get_error_string(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    creates a string with additional  information
                    about the object involved in the error

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_object_get_type+3">xil_object_get_type(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_error_get_string+3">xil_error_get_string(3)</A> )
                    returns the XilObjectType of an object

SunOS 5.6          Last change: 13 April 1994                  18

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_open+3">xil_open(3)</A>
                    opens the XIL library for use

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_or+3">xil_or(3)</A>
                    bitwise logical OR operation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_or_const+3">xil_or_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_or+3">xil_or(3)</A> )
                    bitwise logical OR operation with constants

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_ordered_dither+3">xil_ordered_dither(3)</A>
                    uses ordered dithering to  convert  an  image
                    into a single-band image with a lookup table

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_paint+3">xil_paint(3)</A>
                    blends portions of an  image  with  a  single
                    color using a 2-D brush

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_remove_error_handler+3">xil_remove_error_handler(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_install_error_handler+3">xil_install_error_handler(3)</A> )
                    removes an  error  function  from  the  error
                    handler chain

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_rescale+3">xil_rescale(3)</A>
                    rescales an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_add_image+3">xil_roi_add_image(3)</A>
                    adds a binary image to an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_add_rect+3">xil_roi_add_rect(3)</A>
                    adds a rectangle to an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_add_region+3">xil_roi_add_region(3)</A>
                    adds an X region to an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_create+3">xil_roi_create(3)</A>
                    creates an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_create_copy+3">xil_roi_create_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_create+3">xil_roi_create(3)</A> )
                    creates and returns a copy of an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_destroy+3">xil_roi_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_create+3">xil_roi_create(3)</A> )
                    destroys an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_as_image+3">xil_roi_get_as_image(3)</A>
                    gets an image version of an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_as_region+3">xil_roi_get_as_region(3)</A>
                    returns a handle to an X region

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_by_name+3">xil_roi_get_by_name(3)</A>
                    returns  a  handle  to  the  ROI   with   the
                    specified name

SunOS 5.6          Last change: 13 April 1994                  19

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_name+3">xil_roi_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_by_name+3">xil_roi_get_by_name(3)</A> )
                    returns a copy of the specified ROI's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_state+3">xil_roi_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_intersect+3">xil_roi_intersect(3)</A>
                    finds the intersection of two ROIs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_set_name+3">xil_roi_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_get_by_name+3">xil_roi_get_by_name(3)</A> )
                    sets the name of the specified ROI to the one
                    provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_subtract_rect+3">xil_roi_subtract_rect(3)</A>
                    subtracts a rectangle from an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_translate+3">xil_roi_translate(3)</A>
                    translates an ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_roi_unite+3">xil_roi_unite(3)</A>
                    finds the union of two ROIs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_rotate+3">xil_rotate(3)</A>
                    rotates an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_scale+3">xil_scale(3)</A>
                    scales an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_create+3">xil_sel_create(3)</A>
                    creates a structuring element (SEL)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_create_copy+3">xil_sel_create_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_create+3">xil_sel_create(3)</A> )
                    creates and returns a copy of a SEL

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_destroy+3">xil_sel_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_create+3">xil_sel_create(3)</A> )
                    destroys a SEL

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_by_name+3">xil_sel_get_by_name(3)</A>
                    returns  a  handle  to  the  SEL   with   the
                    specified name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_height+3">xil_sel_get_height(3)</A>
                    gets the height of a SEL

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_key_x+3">xil_sel_get_key_x(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_height+3">xil_sel_get_height(3)</A> )
                    gets the x coordinate of the key value  of  a
                    SEL

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_key_y+3">xil_sel_get_key_y(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_height+3">xil_sel_get_height(3)</A> )
                    gets the y coordinate of the key value  of  a
                    SEL

SunOS 5.6          Last change: 13 April 1994                  20

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_name+3">xil_sel_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_by_name+3">xil_sel_get_by_name(3)</A> )
                    returns a copy of the specified SEL's name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_state+3">xil_sel_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_values+3">xil_sel_get_values(3)</A>
                    get  the  values  stored  internally  for   a
                    structuring element object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_width+3">xil_sel_get_width(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_height+3">xil_sel_get_height(3)</A> )
                    gets the width of a SEL

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_set_name+3">xil_sel_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sel_get_by_name+3">xil_sel_get_by_name(3)</A> )
                    sets the name of the specified SEL to the one
                    provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_active_buffer+3">xil_set_active_buffer(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_active_buffer+3">xil_get_active_buffer(3)</A> )
                    set the active buffer  on  a  double-buffered
                    device image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_attribute+3">xil_set_attribute(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_attribute+3">xil_get_attribute(3)</A> )
                    sets  the  values  of  client  attributes  of
                    images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_colorspace+3">xil_set_colorspace(3)</A>
                    sets an image's color space

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_data_supply_routine+3">xil_set_data_supply_routine(3)</A>
                    set the routine that will be used to fill  in
                    the storage for an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_device_attribute+3">xil_set_device_attribute(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_device_attribute+3">xil_get_device_attribute(3)</A> )
                    sets  the  values  of  attributes  of  device
                    images

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_memory_storage+3">xil_set_memory_storage(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_memory_storage+3">xil_get_memory_storage(3)</A> )
                    sets an exported image's memory storage

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_name+3">xil_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_by_name+3">xil_get_by_name(3)</A> )
                    sets the name of the specified image  to  the
                    one provided

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_origin+3">xil_set_origin(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_origin+3">xil_get_origin(3)</A> )
                    sets the coordinates  of  the  origin  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_pixel+3">xil_set_pixel(3)</A>
                    sets the value of a single pixel in an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_roi+3">xil_set_roi(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_roi+3">xil_get_roi(3)</A> )

SunOS 5.6          Last change: 13 April 1994                  21

SunOS 5.6                                                  XIL(3)

                    sets an image's ROI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_storage_movement+3">xil_set_storage_movement(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_storage_movement+3">xil_get_storage_movement(3)</A> )
                    set the storage movement flag on an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_storage_with_copy+3">xil_set_storage_with_copy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_storagewithcopy+3">xil_get_storagewithcopy(3)</A> )
                    set the image's storage through a copy to  or
                    from contiguous memory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_synchronize+3">xil_set_synchronize(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sync+3">xil_sync(3)</A> )
                    sets synchronization of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_tile_storage+3">xil_set_tile_storage(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_title_storage+3">xil_get_title_storage(3)</A> )
                    set the storage associated with an image on a
                    per tile basis

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_tilesize+3">xil_set_tilesize(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_tilesize+3">xil_get_tilesize(3)</A> )
                    set the tile size of an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_set_value+3">xil_set_value(3)</A>
                    sets pixels of an image to constant values

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_soft_fill+3">xil_soft_fill(3)</A>
                    performs  a   soft  fill  from  a   specified
                    starting point in an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_squeeze_range+3">xil_squeeze_range(3)</A>
                    produces a lookup  table  that  will  map  an
                    image into contiguous entries

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_default_tilesize+3">xil_state_get_default_tilesize(3)</A>
                    get  the  default  tilesize  for  all  images
                    created with a particular XilSystemState

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_default_tiling_mode+3">xil_state_get_default_tiling_mode(3)</A>
                    get the default tiling mode  for  all  images
                    created with a particular XilSystemState

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_interpolation_tables+3">xil_state_get_interpolation_tables(3)</A>
                    gets   interpolation    tables    from    the
                    XilSystemState object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_show_action+3">xil_state_get_show_action(3)</A>
                    gets the current  value  of  the  SHOW_ACTION
                    attribute of a system-state object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_synchronize+3">xil_state_get_synchronize(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sync+3">xil_sync(3)</A> )
                    returns  synchronization  status  of  an  XIL
                    State

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_set_default_tilesize+3">xil_state_set_default_tilesize(3)</A>                          (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_default_tilesize+3">xil_state_get_default_tilesize(3)</A> )

SunOS 5.6          Last change: 13 April 1994                  22

SunOS 5.6                                                  XIL(3)

                    set  the  default  tilesize  for  all  images
                    created with a particular XilSystemState

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_set_default_tiling_mode+3">xil_state_set_default_tiling_mode(3)</A>                       (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_default_tiling_mode+3">xil_state_get_default_tiling_mode(3)</A> )
                    set the default tiling mode  for  all  images
                    created with a particular XilSystemState

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_set_interpolation_tables+3">xil_state_set_interpolation_tables(3)</A>                      (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_interpolation_tables+3">xil_state_get_interpolation_tables(3)</A> )
                    sets    interpolation    tables    on     the
                    XilSystemState object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_set_show_action+3">xil_state_set_show_action(3)</A> (  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_get_show_action+3">xil_state_get_show_action(3)</A>
     )
                    sets the current  value  of  the  SHOW_ACTION
                    attribute of a system-state object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_state_set_synchronize+3">xil_state_set_synchronize(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sync+3">xil_sync(3)</A> )
                    sets synchronization status for an XIL State

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_create+3">xil_storage_create(3)</A>
                    create XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_destroy+3">xil_storage_destroy(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_create+3">xil_storage_create(3)</A> )
                    destroy XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_band_stride+3">xil_storage_get_band_stride(3)</A>
                    get the values set on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_by_name+3">xil_storage_get_by_name(3)</A>
                    get  a  handle  to  a  storage   object    by
                    specifying a name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_coordinates+3">xil_storage_get_coordinates(3)</A>
                    get the position of a storage tile within  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_data+3">xil_storage_get_data(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_band_stride+3">xil_storage_get_band_stride(3)</A> )
                    get the values set on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_image+3">xil_storage_get_image(3)</A>
                    get  the  image  associated  with  a  storage
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_name+3">xil_storage_get_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_by_name+3">xil_storage_get_by_name(3)</A> )
                    get a storage object name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_offset+3">xil_storage_get_offset(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_band_stride+3">xil_storage_get_band_stride(3)</A> )
                    get the values set on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_pixel_stride+3">xil_storage_get_pixel_stride(3)</A>                            (

SunOS 5.6          Last change: 13 April 1994                  23

SunOS 5.6                                                  XIL(3)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_band_stride+3">xil_storage_get_band_stride(3)</A> )
                    get the values set on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_scanline_stride+3">xil_storage_get_scanline_stride(3)</A>                         (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_band_stride+3">xil_storage_get_band_stride(3)</A> )
                    get the values set on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_state+3">xil_storage_get_state(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_get_state+3">xil_get_state(3)</A> )
                    get the XilSystemState associated with an XIL
                    object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_is_type+3">xil_storage_is_type(3)</A>
                    returns the XilStorageType of the data in the
                    XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_band_stride+3">xil_storage_set_band_stride(3)</A>
                    set values on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_coordinates+3">xil_storage_set_coordinates(3)</A>                             (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_coordinates+3">xil_storage_get_coordinates(3)</A> )
                    set the position of a storage tile within  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_data+3">xil_storage_set_data(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_band_stride+3">xil_storage_set_band_stride(3)</A> )
                    set values on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_data_release+3">xil_storage_set_data_release(3)</A>                            (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_band_stride+3">xil_storage_set_band_stride(3)</A> )
                    set values on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_name+3">xil_storage_set_name(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_get_by_name+3">xil_storage_get_by_name(3)</A> )
                    set a storage object name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_offset+3">xil_storage_set_offset(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_band_stride+3">xil_storage_set_band_stride(3)</A> )
                    set values on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_pixel_stride+3">xil_storage_set_pixel_stride(3)</A>                            (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_band_stride+3">xil_storage_set_band_stride(3)</A> )
                    set values on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_scanline_stride+3">xil_storage_set_scanline_stride(3)</A>                         (
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_storage_set_band_stride+3">xil_storage_set_band_stride(3)</A> )
                    set values on an XilStorage object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subsample_adaptive+3">xil_subsample_adaptive(3)</A>
                    adaptively subsamples an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subsample_binary_to_gray+3">xil_subsample_binary_to_gray(3)</A>
                    subsamples a  binary  image  and  produces  a
                    grayscale image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subtract+3">xil_subtract(3)</A>

SunOS 5.6          Last change: 13 April 1994                  24

SunOS 5.6                                                  XIL(3)

                    subtracts one image from another

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subtract_const+3">xil_subtract_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subtract+3">xil_subtract(3)</A> )
                    subtracts a constant from  each  band  of  an
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subtract_from_const+3">xil_subtract_from_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_subtract+3">xil_subtract(3)</A> )
                    subtracts  each  band  of  an  image  from  a
                    constant

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_swap_buffers+3">xil_swap_buffers(3)</A>
                    move the contents of the back buffer  to  the
                    front  buffer  for  a  double-buffered device
                    image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_sync+3">xil_sync(3)</A>
                    forces computation of the value of  an  image
                    when it would have otherwise been deferred

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_tablewarp+3">xil_tablewarp(3)</A>
                    warps an image in  both  the  horizontal  and
                    vertical directions

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_tablewarp_horizontal+3">xil_tablewarp_horizontal(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_tablewarp+3">xil_tablewarp(3)</A> )
                    warps an image in the horizontal direction

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_tablewarp_vertical+3">xil_tablewarp_vertical(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_tablewarp+3">xil_tablewarp(3)</A> )
                    warps an image in the vertical direction

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_threshold+3">xil_threshold(3)</A>
                    sets value of  image  pixel  bands  within  a
                    specified range

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_toss+3">xil_toss(3)</A>
                    throws away the contents of an image  without
                    destroying it

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_translate+3">xil_translate(3)</A>
                    translates an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_transpose+3">xil_transpose(3)</A>
                    rotates or transposes an image

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_xor+3">xil_xor(3)</A>
                    bitwise logical XOR operation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_xor_const+3">xil_xor_const(3)</A> ( <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xil_xor+3">xil_xor(3)</A> )
                    bitwise logical XOR operation with constants

SunOS 5.6          Last change: 13 April 1994                  25

</PRE>
<hr>
<A href="http://www.cs.fsu.edu/cgi-bin/man.cgi"><IMG SRC=http://www.soton.ac.uk/cp/icons/pages.gif ALT="">
Back to Man Pages main page</a>
<p>
<a href="http://www.cs.fsu.edu"><img src="/icons/marbleleft.gif">Back to
CS home page</a>
  <hr>
  <ADDRESS>
  &#169; 1994 <A HREF="http://www.ntua.gr/~christia/man-cgi.html">Man-cgi 1.15S</A>, Panagiotis Christias &lt;christia@theseas.ntua.gr&gt;
  <br>
  1995 Modified for Solaris 2.3, David Adams, &lt;d.j.adams@soton.ac.uk&gt;
  </ADDRESS>
</body>
</html>
