<HTML>
<HEAD>   
<TITLE>UNIX man pages : intro (1)</TITLE>
</head>
<BODY BGCOLOR="#FFFFFF" LINK="#880000" VLINK="#440000">
<PRE>

User Commands                                            Intro(1)

<H3>NAME</H3>
     Intro, intro - introduction to commands and application pro-
     grams

<H3>DESCRIPTION</H3>
     This section  describes,  in  alphabetical  order,  commands
     available with this operating system.

     Pages of special interest are categorized as follows:

     1B        Commands found only in the <cite>SunOS</cite>/<cite>BSD</cite> <cite>Compatibility</cite>
               <cite>Package</cite>.   Refer to the <cite>Source</cite> <cite>Compatibility</cite> <cite>Guide</cite>
               for more information.

     1C        Commands for communicating with other systems.

     1F        Commands associated with <cite>Form</cite>  <cite>and</cite>  <cite>Menu</cite>  <cite>Language</cite>
               <cite>Interpreter</cite> (FMLI).

     1S        Commands specific to the SunOS system.

  <b>OTHER SECTIONS</b>
     See these sections of the <cite>man</cite> <cite>Pages</cite>(<cite>1M</cite>): <cite>System</cite>  <cite>Administra-</cite>
     <cite>tion</cite> <cite>Commands</cite> for more information.

     o  Section 1M in this manual  for  system  maintenance  com-
        mands.

     o  Section 4 of this manual for information on file formats.

     o  Section 5 of this manual  for  descriptions  of  publicly
        available files and miscellaneous information pages.

     o  Section 6 in this manual for computer demonstrations.

     For tutorial  information  about  these  commands  and  pro-
     cedures, see:

     o  <cite>Solaris</cite> <cite>Advanced</cite> <cite>User</cite>'<cite>s</cite> <cite>Guide</cite>

     o  <cite>Programming</cite> <cite>Utilities</cite> <cite>Guide</cite>

  <b>Manual Page Command Syntax</b>
     Unless otherwise noted, commands described in  the  SYNOPSIS
     section  of a manual page accept options and other arguments
     according to the following syntax and should be  interpreted
     as explained below.

     <cite>name</cite> [-<cite>option</cite>...]  [<cite>cmdarg</cite>...]
     where:

     [ ]          Surround  an  <cite>option</cite>  or  <cite>cmdarg</cite>  that  is  not

SunOS 5.6           Last change: 31 Dec 1996                    1

User Commands                                            Intro(1)

                  required.

     ...          Indicates multiple occurrences of the <cite>option</cite> or
                  <cite>cmdarg</cite>.

     <cite>name</cite>         The name of an executable file.

     { }          The options and/or  arguments  enclosed  within
                  braces are interdependent, such that everything
                  enclosed must be treated as a unit.

     <cite>option</cite>       (Always preceded by a "-".)
                  <cite>noargletter</cite>...  or,
                  <cite>argletter</cite> <cite>optarg</cite>[,...]

     <cite>noargletter</cite>  A single letter representing an option  without
                  an  option-argument.   Note  that more than one
                  <cite>noargletter</cite> option can be grouped after one "-"
                  (Rule 5, below).

     <cite>argletter</cite>    A single letter representing an option  requir-
                  ing an option-argument.

     <cite>optarg</cite>       An option-argument (character string)  satisfy-
                  ing a preceding <cite>argletter</cite>.  Note that groups of
                  <cite>optargs</cite>  following   an   <cite>argletter</cite>   must   be
                  separated  by  commas, or separated by a tab or
                  space character and quoted (Rule 8, below).

     <cite>cmdarg</cite>       Path  name  (or  other  command  argument)  <cite>not</cite>
                  beginning with "-", or "-" by itself indicating
                  the standard input.

  Command Syntax Standard: Rules
     These command syntax rules are not followed by  all  current
     commands,  but  all new commands will obey them.  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getopts+1">getopts(1)</A>
     should be used by all shell procedures to  parse  positional
     parameters  and  to  check  for  legal options.  It supports
     Rules 3-10 below.  The enforcement of the other  rules  must
     be done by the command itself.

          1.   Command names (<cite>name</cite> above) must be between two and
               nine characters long.

          2.   Command names must include only lower-case letters
               and digits.

          3.   Option names (<cite>option</cite> above) must be one  character
               long.

          4.   All options must be preceded by "-".

SunOS 5.6           Last change: 31 Dec 1996                    2

User Commands                                            Intro(1)

          5.   Options with no arguments may be grouped  after  a
               single "-".

          6.   The first option-argument (<cite>optarg</cite> above) following
               an option must be preceded by a tab or space char-
               acter.

          7.   Option-arguments cannot be optional.

          8.   Groups of  option-arguments  following  an  option
               must either be separated by commas or separated by
               tab or space character and quoted (-o xxx,z,yy  or
               -o "xxx z yy").

          9.   All options must precede operands  (<cite>cmdarg</cite>  above)
               on the command line.

          10.  "--" may be  used  to  indicate  the  end  of  the
               options.

          11.  The order of the options relative to  one  another
               should not matter.

          12.  The relative order of the operands (<cite>cmdarg</cite>  above)
               may  affect  their significance in ways determined
               by the command with which they appear.

          13.  "-" preceded and followed  by  a  space  character
               should only be used to mean standard input.

<H3>ATTRIBUTES</H3>
     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?attributes+5">attributes(5)</A> for a discussion of the attributes  listed
     in this section.

<H3>SEE ALSO</H3>
     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getopts+1">getopts(1)</A>, <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?wait+1">wait(1)</A>, <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exit+2">exit(2)</A>, <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getopt+3C">getopt(3C)</A>,  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?wait+3B">wait(3B)</A>,  <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?attributes+5">attributes(5)</A>
     

<H3>DIAGNOSTICS</H3>
     Upon termination, each command returns two bytes of  status,
     one supplied by the system and giving the cause for termina-
     tion, and (in the case of "normal" termination) one supplied
     by  the program [see <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?wait+3B">wait(3B)</A> and <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exit+2">exit(2)</A>].  The former byte
     is 0 for normal termination; the latter is customarily 0 for
     successful  execution and non-zero to indicate troubles such
     as erroneous parameters, or bad or inaccessible data.  It is
     called  variously  "exit  code",  "exit  status", or "return
     code", and is described only where special  conventions  are
     involved.

<H3>WARNINGS</H3>
     Some commands produce  unexpected  results  when  processing

SunOS 5.6           Last change: 31 Dec 1996                    3

User Commands                                            Intro(1)

     files  containing  null  characters.   These  commands often
     treat text input lines as strings and therefore become  con-
     fused  upon encountering a null character (the string termi-
     nator) within a line.

<H3>LIST OF COMMANDS</H3>
     Name                           Description

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?acctcom+1">acctcom(1)</A>                     search  and   print   process
                                    accounting files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?adb+1">adb(1)</A>                         general-purpose debugger

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?addbib+1">addbib(1)</A>                      create or  extend  a  biblio-
                                    graphic database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?admin+1">admin(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-admin+1">sccs-admin(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?aedplot+1B">aedplot(1B)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?alias+1">alias(1)</A>                       create or remove a  pseudonym
                                    or shorthand for a command or
                                    series of commands

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?apropos+1">apropos(1)</A>                     locate  commands  by  keyword
                                    lookup

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ar+1">ar(1)</A>                          maintain portable archive  or
                                    library

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?arch+1">arch(1)</A>                        display the  architecture  of
                                    the current host

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?as+1">as(1)</A>                          assembler

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?asa+1">asa(1)</A>                         convert   FORTRAN   carriage-
                                    control  output  to printable
                                    form

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?at+1">at(1)</A>                          execute commands at  a  later
                                    time

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?atoplot+1B">atoplot(1B)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?atq+1">atq(1)</A>                         display the  jobs  queued  to
                                    run at specified times

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?atrm+1">atrm(1)</A>                        remove jobs spooled by at  or
                                    batch

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?audioconvert+1">audioconvert(1)</A>                convert audio file formats

SunOS 5.6           Last change: 31 Dec 1996                    4

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?audioplay+1">audioplay(1)</A>                   play audio files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?audiorecord+1">audiorecord(1)</A>                 record an audio file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?awk+1">awk(1)</A>                         pattern scanning and process-
                                    ing language

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?banner+1">banner(1)</A>                      make posters

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?basename+1">basename(1)</A>                    deliver  portions   of   path
                                    names

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?basename+1B">basename(1B)</A>                   display portions of pathnames

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?batch+1">batch(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?at+1">at(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?bc+1">bc(1)</A>                          arbitrary  precision   arith-
                                    metic language

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?bdiff+1">bdiff(1)</A>                       big diff

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?bfs+1">bfs(1)</A>                         big file scanner

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?bg+1">bg(1)</A>                          See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?jobs+1">jobs(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?bgplot+1B">bgplot(1B)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?biff+1B">biff(1B)</A>                       give notice of incoming  mail
                                    messages

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?break+1">break(1)</A>                       shell built-in  functions  to
                                    escape from or advance within
                                    a  controlling  while,   for,
                                    foreach, or until  loop

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cal+1">cal(1)</A>                         display a calendar

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?calendar+1">calendar(1)</A>                    reminder service

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cancel+1">cancel(1)</A>                      cancel print request

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?case+1">case(1)</A>                        shell built-in  functions  to
                                    choose  from  among a list of
                                    actions

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cat+1">cat(1)</A>                         concatenate and display files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cc+1B">cc(1B)</A>                         C compiler

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cd+1">cd(1)</A>                          change working directory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cdc+1">cdc(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-cdc+1">sccs-cdc(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                    5

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?chdir+1">chdir(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cd+1">cd(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?checkeq+1">checkeq(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?eqn+1">eqn(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?checknr+1">checknr(1)</A>                     check nroff and  troff  input
                                    files; report possible errors

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?chgrp+1">chgrp(1)</A>                       change file group ownership

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?chkey+1">chkey(1)</A>                       change user's secure RPC  key
                                    pair

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?chmod+1">chmod(1)</A>                       change the  permissions  mode
                                    of a file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?chown+1">chown(1)</A>                       change file ownership

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?chown+1B">chown(1B)</A>                      change owner

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckdate+1">ckdate(1)</A>                      prompts for and  validates  a
                                    date

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckgid+1">ckgid(1)</A>                       prompts for and  validates  a
                                    group id

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckint+1">ckint(1)</A>                       display a prompt; verify  and
                                    return an integer value

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckitem+1">ckitem(1)</A>                      build a menu; prompt for  and
                                    return a menu item

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckkeywd+1">ckkeywd(1)</A>                     prompts for and  validates  a
                                    keyword

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckpath+1">ckpath(1)</A>                      display a prompt; verify  and
                                    return a pathname

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckrange+1">ckrange(1)</A>                     prompts for and validates  an
                                    integer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckstr+1">ckstr(1)</A>                       display a prompt; verify  and
                                    return a string answer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cksum+1">cksum(1)</A>                       write  file   checksums   and
                                    sizes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cktime+1">cktime(1)</A>                      display a prompt; verify  and
                                    return a time of day

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckuid+1">ckuid(1)</A>                       prompts for and  validates  a
                                    user ID

SunOS 5.6           Last change: 31 Dec 1996                    6

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckyorn+1">ckyorn(1)</A>                      prompts  for  and   validates
                                    yes/no

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?clear+1">clear(1)</A>                       clear the terminal screen

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cmp+1">cmp(1)</A>                         compare two files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cocheck+1F">cocheck(1F)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coproc+1F">coproc(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cocreate+1F">cocreate(1F)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coproc+1F">coproc(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?codestroy+1F">codestroy(1F)</A>                  See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coproc+1F">coproc(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?col+1">col(1)</A>                         reverse line-feeds filter

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?comb+1">comb(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-comb+1">sccs-comb(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?comm+1">comm(1)</A>                        select or reject lines common
                                    to two files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?command+1">command(1)</A>                     execute a simple command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?compress+1">compress(1)</A>                    compress, uncompress files or
                                    display expanded files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?continue+1">continue(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?break+1">break(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coproc+1F">coproc(1F)</A>                     communicate with a process

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coreceive+1F">coreceive(1F)</A>                  See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coproc+1F">coproc(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cosend+1F">cosend(1F)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?coproc+1F">coproc(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cp+1">cp(1)</A>                          copy files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cpio+1">cpio(1)</A>                        copy file archives in and out

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cpp+1">cpp(1)</A>                         the C language preprocessor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?crontab+1">crontab(1)</A>                     user crontab file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?crtplot+1B">crtplot(1B)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?crypt+1">crypt(1)</A>                       encode or decode a file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?csh+1">csh(1)</A>                         shell   command   interpreter
                                    with a C-like syntax

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?csplit+1">csplit(1)</A>                      split  files based on context

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ct+1C">ct(1C)</A>                         spawn login to a remote  ter-
                                    minal

SunOS 5.6           Last change: 31 Dec 1996                    7

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ctags+1">ctags(1)</A>                       create a tags  file  for  use
                                    with ex and vi

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cu+1C">cu(1C)</A>                         call another UNIX system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cut+1">cut(1)</A>                         cut out  selected  fields  of
                                    each line of a file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?date+1">date(1)</A>                        write the date and time

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dc+1">dc(1)</A>                          desk calculator

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?delta+1">delta(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-delta+1">sccs-delta(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?deroff+1">deroff(1)</A>                      remove nroff/troff, tbl,  and
                                    eqn constructs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?df+1B">df(1B)</A>                         display status of disk  space
                                    on file systems

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dhcpinfo+1">dhcpinfo(1)</A>                    display value  of  parameters
                                    received through DHCP

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?diff+1">diff(1)</A>                        display line-by-line  differ-
                                    ences  between  pairs of text
                                    files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?diff3+1">diff3(1)</A>                       3-way differential file  com-
                                    parison

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?diffmk+1">diffmk(1)</A>                      mark differences between ver-
                                    sions of a troff input file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dircmp+1">dircmp(1)</A>                      directory comparison

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dirname+1">dirname(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?basename+1">basename(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dirs+1">dirs(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cd+1">cd(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dis+1">dis(1)</A>                         object code disassembler

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?disable+1">disable(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?enable+1">enable(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dispgid+1">dispgid(1)</A>                     displays a list of all  valid
                                    group names

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dispuid+1">dispuid(1)</A>                     displays a list of all  valid
                                    user names

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dos2unix+1">dos2unix(1)</A>                    convert text  file  from  DOS
                                    format to ISO format

SunOS 5.6           Last change: 31 Dec 1996                    8

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?download+1">download(1)</A>                    host resident PostScript font
                                    downloader

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dpost+1">dpost(1)</A>                       troff    postprocessor    for
                                    PostScript printers

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?du+1B">du(1B)</A>                         display the  number  of  disk
                                    blocks  used per directory or
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dumbplot+1B">dumbplot(1B)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dump+1">dump(1)</A>                        dump  selected  parts  of  an
                                    object file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dumpcs+1">dumpcs(1)</A>                      show codeset  table  for  the
                                    current locale

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?dumpkeys+1">dumpkeys(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?loadkeys+1">loadkeys(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?echo+1">echo(1)</A>                        echo arguments

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?echo+1B">echo(1B)</A>                       echo  arguments  to  standard
                                    output

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?echo+1F">echo(1F)</A>                       put string on virtual output

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ed+1">ed(1)</A>                          text editor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?edit+1">edit(1)</A>                        text editor  (variant  of  ex
                                    for casual users)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?egrep+1">egrep(1)</A>                       search a file for  a  pattern
                                    using  full  regular  expres-
                                    sions

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?eject+1">eject(1)</A>                       eject media  such  as  CD-ROM
                                    and floppy from drive

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?enable+1">enable(1)</A>                      enable/disable LP printers

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?env+1">env(1)</A>                         set environment  for  command
                                    invocation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?eqn+1">eqn(1)</A>                         typeset mathematics test

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errange+1">errange(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckrange+1">ckrange(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errdate+1">errdate(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckdate+1">ckdate(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errgid+1">errgid(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckgid+1">ckgid(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                    9

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errint+1">errint(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckint+1">ckint(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?erritem+1">erritem(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckitem+1">ckitem(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?error+1">error(1)</A>                       insert  compiler  error  mes-
                                    sages at right source lines

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errpath+1">errpath(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckpath+1">ckpath(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errstr+1">errstr(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckstr+1">ckstr(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?errtime+1">errtime(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cktime+1">cktime(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?erruid+1">erruid(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckuid+1">ckuid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?erryorn+1">erryorn(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckyorn+1">ckyorn(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?eval+1">eval(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exec+1">exec(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ex+1">ex(1)</A>                          text editor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exec+1">exec(1)</A>                        shell built-in  functions  to
                                    execute other commands

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exit+1">exit(1)</A>                        shell built-in  functions  to
                                    enable  the  execution of the
                                    shell to advance  beyond  its
                                    sequence of steps

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?expand+1">expand(1)</A>                      expand  TAB   characters   to
                                    SPACE  characters,  and  vice
                                    versa

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?export+1">export(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1">set(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exportfs+1B">exportfs(1B)</A>                   translates  exportfs  options
                                    to share/unshare commands

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?expr+1">expr(1)</A>                        evaluate  arguments   as   an
                                    expression

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?expr+1B">expr(1B)</A>                       evaluate arguments as a logi-
                                    cal,  arithmetic,  or  string
                                    expression

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exstr+1">exstr(1)</A>                       extract strings  from  source
                                    files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?face+1">face(1)</A>                        executable  for  the   Framed
                                    Access   Command  Environment
                                    Interface

SunOS 5.6           Last change: 31 Dec 1996                   10

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?factor+1">factor(1)</A>                      obtain the prime factors of a
                                    number

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?false+1">false(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?true+1">true(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fastboot+1B">fastboot(1B)</A>                   reboot/halt    the     system
                                    without checking the disks

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fasthalt+1B">fasthalt(1B)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fastboot+1B">fastboot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fc+1">fc(1)</A>                          See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?history+1">history(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fdformat+1">fdformat(1)</A>                    format  floppy  diskette   or
                                    PCMCIA memory card

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fg+1">fg(1)</A>                          See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?jobs+1">jobs(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fgrep+1">fgrep(1)</A>                       search a file  for  a  fixed-
                                    character string

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?file+1">file(1)</A>                        determine file type

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?file+1B">file(1B)</A>                       determine the type of a  file
                                    by examining its contents

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?filesync+1">filesync(1)</A>                    synchronize ordinary,  direc-
                                    tory or special files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?find+1">find(1)</A>                        find files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?finger+1">finger(1)</A>                      display   information   about
                                    local and remote users

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fmlcut+1F">fmlcut(1F)</A>                     cut out  selected  fields  of
                                    each line of a file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fmlexpr+1F">fmlexpr(1F)</A>                    evaluate  arguments   as   an
                                    expression

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fmlgrep+1F">fmlgrep(1F)</A>                    search a file for a pattern

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fmli+1">fmli(1)</A>                        invoke FMLI

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fmt+1">fmt(1)</A>                         simple text formatters

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fmtmsg+1">fmtmsg(1)</A>                      display a message  on  stderr
                                    or system console

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnattr+1">fnattr(1)</A>                      update and examine attributes
                                    associated  with an FNS named
                                    object

SunOS 5.6           Last change: 31 Dec 1996                   11

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnbind+1">fnbind(1)</A>                      Bind a reference  to  an  FNS
                                    name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnlist+1">fnlist(1)</A>                      display the names and  refer-
                                    ences bound in an FNS context

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnlookup+1">fnlookup(1)</A>                    display the  reference  bound
                                    to an FNS name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnrename+1">fnrename(1)</A>                    rename the binding of an  FNS
                                    name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnsearch+1">fnsearch(1)</A>                    search for FNS  objects  with
                                    specified attributes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fnunbind+1">fnunbind(1)</A>                    unbind the reference from  an
                                    FNS name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?fold+1">fold(1)</A>                        filter for folding lines

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?for+1">for(1)</A>                         shell built-in  functions  to
                                    repeatedly  execute action(s)
                                    for  a  selected  number   of
                                    times

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?foreach+1">foreach(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?for+1">for(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?from+1B">from(1B)</A>                       display the sender  and  date
                                    of  newly-arrived  mail  mes-
                                    sages

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ftp+1">ftp(1)</A>                         file transfer program

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?function+1">function(1)</A>                    shell  built-in  command   to
                                    define  a  function  which is
                                    usable within this shell

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?gcore+1">gcore(1)</A>                       get core  images  of  running
                                    processes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?gencat+1">gencat(1)</A>                      generate a formatted  message
                                    catalog

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?genmsg+1">genmsg(1)</A>                      generate  a  message   source
                                    file  by  extracting messages
                                    from source files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?get+1">get(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-get+1">sccs-get(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getconf+1">getconf(1)</A>                     get configuration values

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getfacl+1">getfacl(1)</A>                     display  discretionary   file

SunOS 5.6           Last change: 31 Dec 1996                   12

User Commands                                            Intro(1)

                                    information

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getfrm+1F">getfrm(1F)</A>                     returns the  current  frameID
                                    number

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getitems+1F">getitems(1F)</A>                   returns a list  of  currently
                                    marked menu items

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getopt+1">getopt(1)</A>                      parse command options

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getoptcvt+1">getoptcvt(1)</A>                   convert to getopts  to  parse
                                    command options

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?getopts+1">getopts(1)</A>                     parse utility options

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?gettext+1">gettext(1)</A>                     retrieve  text  string   from
                                    message database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?gettxt+1">gettxt(1)</A>                      retrieve a text string from a
                                    message database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?gigiplot+1B">gigiplot(1B)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?glob+1">glob(1)</A>                        shell  built-in  function  to
                                    expand a word list

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?goto+1">goto(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exit+1">exit(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?gprof+1">gprof(1)</A>                       display  call-graph   profile
                                    data

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?graph+1">graph(1)</A>                       draw a graph

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?grep+1">grep(1)</A>                        search a file for a pattern

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?groups+1">groups(1)</A>                      print  group  membership   of
                                    user

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?groups+1B">groups(1B)</A>                     display   a   user's    group
                                    memberships

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?grpck+1B">grpck(1B)</A>                      check group database entries

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hash+1">hash(1)</A>                        evaluate  the  internal  hash
                                    table  of  the   contents  of
                                    directories

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hashcheck+1">hashcheck(1)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?spell+1">spell(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hashmake+1">hashmake(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?spell+1">spell(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hashstat+1">hashstat(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hash+1">hash(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   13

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?head+1">head(1)</A>                        display first  few  lines  of
                                    files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?help+1">help(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-help+1">sccs-help(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpdate+1">helpdate(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckdate+1">ckdate(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpgid+1">helpgid(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckgid+1">ckgid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpint+1">helpint(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckint+1">ckint(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpitem+1">helpitem(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckitem+1">ckitem(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helppath+1">helppath(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckpath+1">ckpath(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helprange+1">helprange(1)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckrange+1">ckrange(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpstr+1">helpstr(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckstr+1">ckstr(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helptime+1">helptime(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cktime+1">cktime(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpuid+1">helpuid(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckuid+1">ckuid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?helpyorn+1">helpyorn(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckyorn+1">ckyorn(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?history+1">history(1)</A>                     process command history list

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hostid+1">hostid(1)</A>                      print the numeric  identifier
                                    of the current host

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hostname+1">hostname(1)</A>                    set or print name of  current
                                    host system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hp7221plot+1B">hp7221plot(1B)</A>                 See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hpplot+1B">hpplot(1B)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?i286+1">i286(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?i386+1">i386(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?i486+1">i486(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?i860+1">i860(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?iAPX286+1">iAPX286(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?iconv+1">iconv(1)</A>                       code set conversion utility

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?if+1">if(1)</A>                          evaluate condition(s) or make
                                    execution  of  actions depen-
                                    dent upon the  evaluation  of

SunOS 5.6           Last change: 31 Dec 1996                   14

User Commands                                            Intro(1)

                                    condition(s)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?implot+1B">implot(1B)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?indicator+1F">indicator(1F)</A>                  display application  specific
                                    alarms  and/or  the "working"
                                    indicator

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?indxbib+1">indxbib(1)</A>                     create an inverted index to a
                                    bibliographic database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?install+1B">install(1B)</A>                    install files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ipcrm+1">ipcrm(1)</A>                       remove a message queue, sema-
                                    phore  set,  or shared memory
                                    ID

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ipcs+1">ipcs(1)</A>                        report inter-process communi-
                                    cation facilities status

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?isalist+1">isalist(1)</A>                     display the  native  instruc-
                                    tion  sets executable on this
                                    platform

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?jobs+1">jobs(1)</A>                        control process execution

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?join+1">join(1)</A>                        relational database operator

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?jsh+1">jsh(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sh+1">sh(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?kbd+1">kbd(1)</A>                         manipulate the state of  key-
                                    board  or display the type of
                                    keyboard   or   change    the
                                    default     keyboard    abort
                                    sequence effect

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?kdestroy+1">kdestroy(1)</A>                    destroy Kerberos tickets

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?kerberos+1">kerberos(1)</A>                    introduction to the  Kerberos
                                    system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?keylogin+1">keylogin(1)</A>                    decrypt and store secret  key
                                    with keyserv

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?keylogout+1">keylogout(1)</A>                   delete stored secret key with
                                    keyserv

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?kill+1">kill(1)</A>                        terminate or signal processes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?kinit+1">kinit(1)</A>                       Kerberos login utility

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?klist+1">klist(1)</A>                       list currently held  Kerberos

SunOS 5.6           Last change: 31 Dec 1996                   15

User Commands                                            Intro(1)

                                    tickets

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ksh+1">ksh(1)</A>                         KornShell,                  a
                                    standard/restricted   command
                                    and programming language

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ksrvtgt+1">ksrvtgt(1)</A>                     fetch  and   store   Kerberos
                                    ticket-granting  ticket using
                                    a service key

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?last+1">last(1)</A>                        display  login   and   logout
                                    information  about  users and
                                    terminals

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lastcomm+1">lastcomm(1)</A>                    display  the  last   commands
                                    executed, in reverse order

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ld+1">ld(1)</A>                          link-editor for object files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ld+1B">ld(1B)</A>                         link  editor,  dynamic   link
                                    editor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ldd+1">ldd(1)</A>                         list dynamic dependencies  of
                                    executable  files  or  shared
                                    objects

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ld.so.1+1">ld.so.1(1)</A>                     runtime  linker  for  dynamic
                                    objects

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?let+1">let(1)</A>                         shell  built-in  function  to
                                    evaluate  one  or more arith-
                                    metic expressions

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lex+1">lex(1)</A>                         generate programs for lexical
                                    tasks

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?limit+1">limit(1)</A>                       set or get limitations on the
                                    system resources available to
                                    the  current  shell  and  its
                                    descendents

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?line+1">line(1)</A>                        read one line

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lint+1B">lint(1B)</A>                       C program verifier

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?listusers+1">listusers(1)</A>                   list user login information

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ln+1">ln(1)</A>                          make hard or  symbolic  links
                                    to files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ln+1B">ln(1B)</A>                         make hard or  symbolic  links
                                    to files

SunOS 5.6           Last change: 31 Dec 1996                   16

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?loadfont+1">loadfont(1)</A>                    display or change font infor-
                                    mation  in  the  RAM  of  the
                                    video card on an  x86  system
                                    in text mode

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?loadkeys+1">loadkeys(1)</A>                    load and dump keyboard trans-
                                    lation tables

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?locale+1">locale(1)</A>                      get locale-specific  informa-
                                    tion

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?localedef+1">localedef(1)</A>                   define locale environment

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?logger+1">logger(1)</A>                      add entries to the system log

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?logger+1B">logger(1B)</A>                     add entries to the system log

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?login+1">login(1)</A>                       sign on to the system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?logname+1">logname(1)</A>                     return user's login name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?logout+1">logout(1)</A>                      shell  built-in  function  to
                                    exit from a login session

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?longline+1F">longline(1F)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?readfile+1F">readfile(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?look+1">look(1)</A>                        find words in the system dic-
                                    tionary  or lines in a sorted
                                    list

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lookbib+1">lookbib(1)</A>                     find references in a  biblio-
                                    graphic database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lorder+1">lorder(1)</A>                      find ordering relation for an
                                    object or library archive

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lp+1">lp(1)</A>                          submit print request

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lpc+1B">lpc(1B)</A>                        line printer control program

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lpq+1B">lpq(1B)</A>                        display  the  content  of   a
                                    print queue

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lpr+1B">lpr(1B)</A>                        submit print requests

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lprm+1B">lprm(1B)</A>                       remove  print  requests  from
                                    the print queue

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lpstat+1">lpstat(1)</A>                      print information  about  the
                                    status of the print service

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?lptest+1B">lptest(1B)</A>                     generate line printer  ripple

SunOS 5.6           Last change: 31 Dec 1996                   17

User Commands                                            Intro(1)

                                    pattern

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ls+1">ls(1)</A>                          list contents of directory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ls+1B">ls(1B)</A>                         list the contents of a direc-
                                    tory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?m4+1">m4(1)</A>                          macro processor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mach+1">mach(1)</A>                        display the processor type of
                                    the current host

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>                      get  processor   type   truth
                                    value

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mail+1">mail(1)</A>                        read mail  or  send  mail  to
                                    users

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?Mail+1B">Mail(1B)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mailx+1">mailx(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mail+1B">mail(1B)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mailx+1">mailx(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mailcompat+1">mailcompat(1)</A>                  provide  SunOS  compatibility
                                    for Solaris mailbox format

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mailstats+1">mailstats(1)</A>                   print statistics collected by
                                    sendmail

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mailx+1">mailx(1)</A>                       interactive message  process-
                                    ing system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?make+1S">make(1S)</A>                       maintain, update, and  regen-
                                    erate  related  programs  and
                                    files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?man+1">man(1)</A>                         find  and  display  reference
                                    manual pages

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mconnect+1">mconnect(1)</A>                    connect to SMTP  mail  server
                                    socket

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mcs+1">mcs(1)</A>                         manipulate the  comment  sec-
                                    tion of an object file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mesg+1">mesg(1)</A>                        permit or deny messages

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?message+1F">message(1F)</A>                    puts its  arguments  on  FMLI
                                    message line

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mkdir+1">mkdir(1)</A>                       make directories

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mkmsgs+1">mkmsgs(1)</A>                      create message files for  use

SunOS 5.6           Last change: 31 Dec 1996                   18

User Commands                                            Intro(1)

                                    by gettxt

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mkstr+1B">mkstr(1B)</A>                      create an error message  file
                                    by massaging C source files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?more+1">more(1)</A>                        browse or page through a text
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?msgfmt+1">msgfmt(1)</A>                      create a message object  from
                                    a message file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mt+1">mt(1)</A>                          magnetic tape control

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mv+1">mv(1)</A>                          move files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nawk+1">nawk(1)</A>                        pattern scanning and process-
                                    ing language

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?neqn+1">neqn(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?eqn+1">eqn(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?newaliases+1">newaliases(1)</A>                  rebuild the data base for the
                                    mail aliases file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?newform+1">newform(1)</A>                     change the format of  a  text
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?newgrp+1">newgrp(1)</A>                      log in to a new group

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?news+1">news(1)</A>                        print news items

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nice+1">nice(1)</A>                        invoke  a  command  with   an
                                    altered scheduling priority

     nis+(1)                        a new version of the  network
                                    information name service

     NIS+(1)                        See nis+(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nis+1">nis(1)</A>                         See nis+(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?niscat+1">niscat(1)</A>                      display   NIS+   tables   and
                                    objects

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nischgrp+1">nischgrp(1)</A>                    change the group owner  of  a
                                    NIS+ object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nischmod+1">nischmod(1)</A>                    change  access  rights  on  a
                                    NIS+ object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nischown+1">nischown(1)</A>                    change the owner  of  a  NIS+
                                    object

SunOS 5.6           Last change: 31 Dec 1996                   19

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nischttl+1">nischttl(1)</A>                    change the time to live value
                                    of a NIS+ object

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisdefaults+1">nisdefaults(1)</A>                 display NIS+ default values

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?niserror+1">niserror(1)</A>                    display NIS+ error messages

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisgrep+1">nisgrep(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nismatch+1">nismatch(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisgrpadm+1">nisgrpadm(1)</A>                   NIS+   group   administration
                                    command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisln+1">nisln(1)</A>                       symbolically    link     NIS+
                                    objects

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisls+1">nisls(1)</A>                       list the contents of  a  NIS+
                                    directory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nismatch+1">nismatch(1)</A>                    utilities for searching  NIS+
                                    tables

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nismkdir+1">nismkdir(1)</A>                    create NIS+ directories

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nispasswd+1">nispasswd(1)</A>                   change NIS+ password informa-
                                    tion

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisrm+1">nisrm(1)</A>                       remove NIS+ objects from  the
                                    namespace

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nisrmdir+1">nisrmdir(1)</A>                    remove NIS+ directories

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nistbladm+1">nistbladm(1)</A>                   NIS+   table   administration
                                    command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nistest+1">nistest(1)</A>                     return the state of the  NIS+
                                    namespace using a conditional
                                    expression

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nl+1">nl(1)</A>                          line numbering filter

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nm+1">nm(1)</A>                          print name list of an  object
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nohup+1">nohup(1)</A>                       run a command immune to hang-
                                    ups

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?notify+1">notify(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?jobs+1">jobs(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?nroff+1">nroff(1)</A>                       format documents for  display
                                    or line-printer

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?od+1">od(1)</A>                          octal dump

SunOS 5.6           Last change: 31 Dec 1996                   20

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?on+1">on(1)</A>                          execute a command on a remote
                                    system,  but  with  the local
                                    environment

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?onintr+1">onintr(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?trap+1">trap(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?optisa+1">optisa(1)</A>                      determine    which    variant
                                    instruction set is optimal to
                                    use

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pack+1">pack(1)</A>                        compress and expand files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?page+1">page(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?more+1">more(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pagesize+1">pagesize(1)</A>                    display the size of a page of
                                    memory

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?passwd+1">passwd(1)</A>                      change  login  password   and
                                    password attributes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?paste+1">paste(1)</A>                       merge corresponding or subse-
                                    quent lines of files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?patch+1">patch(1)</A>                       apply changes to files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pathchk+1">pathchk(1)</A>                     check path names

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pathconv+1F">pathconv(1F)</A>                   search  FMLI   criteria   for
                                    filename

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pax+1">pax(1)</A>                         portable archive interchange

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pcat+1">pcat(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pack+1">pack(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pcmapkeys+1">pcmapkeys(1)</A>                   set keyboard extended map and
                                    scancode  translation for the
                                    PC console in text mode

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pcred+1">pcred(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pdp11+1">pdp11(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pfiles+1">pfiles(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pflags+1">pflags(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pg+1">pg(1)</A>                          files perusal filter for CRTs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pkginfo+1">pkginfo(1)</A>                     display   software    package
                                    information

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pkgmk+1">pkgmk(1)</A>                       produce    an     installable

SunOS 5.6           Last change: 31 Dec 1996                   21

User Commands                                            Intro(1)

                                    package

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pkgparam+1">pkgparam(1)</A>                    display   package   parameter
                                    values

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pkgproto+1">pkgproto(1)</A>                    generate    prototype    file
                                    entries  for  input  to pkgmk
                                    command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pkgtrans+1">pkgtrans(1)</A>                    translate package format

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pldd+1">pldd(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>                       graphics filters for  various
                                    plotters

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plottoa+1B">plottoa(1B)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pmap+1">pmap(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?popd+1">popd(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cd+1">cd(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postdaisy+1">postdaisy(1)</A>                   PostScript   translator   for
                                    Diablo 630 daisy-wheel files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postdmd+1">postdmd(1)</A>                     PostScript translator for DMD
                                    bitmap files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postio+1">postio(1)</A>                      serial     interface      for
                                    PostScript printers

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postmd+1">postmd(1)</A>                      matrix  display  program  for
                                    PostScript printers

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postplot+1">postplot(1)</A>                    PostScript   translator   for
                                    <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+4">plot(4)</A> graphics files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postprint+1">postprint(1)</A>                   PostScript   translator   for
                                    text files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?postreverse+1">postreverse(1)</A>                 reverse the page order  in  a
                                    PostScript file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?posttek+1">posttek(1)</A>                     PostScript   translator   for
                                    Tektronix 4014 files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pr+1">pr(1)</A>                          print files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?prex+1">prex(1)</A>                        control tracing in a  process
                                    or the kernel

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?print+1">print(1)</A>                       shell  built-in  function  to

SunOS 5.6           Last change: 31 Dec 1996                   22

User Commands                                            Intro(1)

                                    output   characters   to  the
                                    screen or window

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?printenv+1B">printenv(1B)</A>                   display environment variables
                                    currently set

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?printf+1">printf(1)</A>                      write formatted output

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?priocntl+1">priocntl(1)</A>                    display  or  set   scheduling
                                    parameters    of    specified
                                    process(es)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>                        proc tools

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?prof+1">prof(1)</A>                        display profile data

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?prs+1">prs(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-prs+1">sccs-prs(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?prt+1">prt(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-prt+1">sccs-prt(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?prun+1">prun(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ps+1">ps(1)</A>                          report process status

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ps+1B">ps(1B)</A>                         display the status of current
                                    processes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?psig+1">psig(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pstack+1">pstack(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pstop+1">pstop(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ptime+1">ptime(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ptree+1">ptree(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pushd+1">pushd(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cd+1">cd(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pvs+1">pvs(1)</A>                         display the internal  version
                                    information     of    dynamic
                                    objects

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pwait+1">pwait(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pwd+1">pwd(1)</A>                         return working directory name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pwdx+1">pwdx(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?proc+1">proc(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ranlib+1">ranlib(1)</A>                      convert  archives  to  random
                                    libraries

SunOS 5.6           Last change: 31 Dec 1996                   23

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rcp+1">rcp(1)</A>                         remote file copy

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rdist+1">rdist(1)</A>                       remote file distribution pro-
                                    gram

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?read+1">read(1)</A>                        read  a  line  from  standard
                                    input

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?readfile+1F">readfile(1F)</A>                   reads file, gets longest line

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?readonly+1">readonly(1)</A>                    shell  built-in  function  to
                                    protect   the  value  of  the
                                    given variable from reassign-
                                    ment

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?red+1">red(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ed+1">ed(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?refer+1">refer(1)</A>                       expand and insert  references
                                    from a bibliographic database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?regcmp+1">regcmp(1)</A>                      regular expression compile

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?regex+1F">regex(1F)</A>                      match  patterns   against   a
                                    string

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rehash+1">rehash(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hash+1">hash(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?reinit+1F">reinit(1F)</A>                     runs an initialization file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?remote_shell+1">remote_shell(1)</A>                See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rsh+1">rsh(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?remsh+1">remsh(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rsh+1">rsh(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?renice+1">renice(1)</A>                      alter  priority  of   running
                                    processes

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?repeat+1">repeat(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?for+1">for(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?reset+1B">reset(1B)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tset+1B">tset(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?reset+1F">reset(1F)</A>                      reset the current form  field
                                    to its default values

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?return+1">return(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exit+1">exit(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rksh+1">rksh(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ksh+1">ksh(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rlogin+1">rlogin(1)</A>                      remote login

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rm+1">rm(1)</A>                          remove directory entries

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rmail+1">rmail(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?mail+1">mail(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   24

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rmdel+1">rmdel(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-rmdel+1">sccs-rmdel(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rmdir+1">rmdir(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rm+1">rm(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?roffbib+1">roffbib(1)</A>                     format and  print  a  biblio-
                                    graphic database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rpcgen+1">rpcgen(1)</A>                      an RPC protocol compiler

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rsh+1">rsh(1)</A>                         remote shell

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?run+1F">run(1F)</A>                        run an executable

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rup+1">rup(1)</A>                         show host  status  of  remote
                                    machines (RPC version)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rup+1C">rup(1C)</A>                        show host  status  of  remote
                                    machines (RPC version)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ruptime+1">ruptime(1)</A>                     show  host  status  of  local
                                    machines

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rusage+1B">rusage(1B)</A>                     print resource  usage  for  a
                                    command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rusers+1">rusers(1)</A>                      who is logged  in  on  remote
                                    machines

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?rwho+1">rwho(1)</A>                        who is  logged  in  on  local
                                    machines

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sact+1">sact(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-sact+1">sccs-sact(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sag+1">sag(1)</A>                         system activity graph

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sar+1">sar(1)</A>                         system activity reporter

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs+1">sccs(1)</A>                        front end for the Source Code
                                    Control System (SCCS)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-admin+1">sccs-admin(1)</A>                  create  and  administer  SCCS
                                    history files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-cdc+1">sccs-cdc(1)</A>                    change the  delta  commentary
                                    of an SCCS delta

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-comb+1">sccs-comb(1)</A>                   combine SCCS deltas

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-delta+1">sccs-delta(1)</A>                  make a delta to an SCCS file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccsdiff+1">sccsdiff(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-sccsdiff+1">sccs-sccsdiff(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   25

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-get+1">sccs-get(1)</A>                    retrieve a version of an SCCS
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-help+1">sccs-help(1)</A>                   ask for help  regarding  SCCS
                                    error or warning messages

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-prs+1">sccs-prs(1)</A>                    display selected portions  of
                                    an SCCS history

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-prt+1">sccs-prt(1)</A>                    display delta table  informa-
                                    tion from an SCCS file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-rmdel+1">sccs-rmdel(1)</A>                  remove a delta from  an  SCCS
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-sact+1">sccs-sact(1)</A>                   show editing activity  status
                                    of an SCCS file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-sccsdiff+1">sccs-sccsdiff(1)</A>               compare two  versions  of  an
                                    SCCS file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-unget+1">sccs-unget(1)</A>                  undo a  previous  get  of  an
                                    SCCS file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-val+1">sccs-val(1)</A>                    validate an SCCS file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?script+1">script(1)</A>                      make  record  of  a  terminal
                                    session

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sdiff+1">sdiff(1)</A>                       print differences between two
                                    files side-by-side

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sed+1">sed(1)</A>                         stream editor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sed+1B">sed(1B)</A>                        stream editor

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?select+1">select(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?case+1">case(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1">set(1)</A>                         shell built-in  functions  to
                                    determine the characteristics
                                    for  environmental  variables
                                    of  the current shell and its
                                    descendents

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1F">set(1F)</A>                        set and unset local or global
                                    environment variables

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?setcolor+1F">setcolor(1F)</A>                   redefine or create a color

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?setenv+1">setenv(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1">set(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?setfacl+1">setfacl(1)</A>                     modify  the  Access   Control

SunOS 5.6           Last change: 31 Dec 1996                   26

User Commands                                            Intro(1)

                                    List  (ACL)  for  a  file  or
                                    files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sh+1">sh(1)</A>                          standard  and   job   control
                                    shell and command interpreter

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?shell+1F">shell(1F)</A>                      run a command using shell

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?shell_builtins+1">shell_builtins(1)</A>              shell   command   interpreter
                                    built-in functions

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?shift+1">shift(1)</A>                       shell  built-in  function  to
                                    traverse   either  a  shell's
                                    argument list or  a  list  of
                                    field-separated words

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?shutdown+1B">shutdown(1B)</A>                   close down the  system  at  a
                                    given time

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?size+1">size(1)</A>                        print section sizes in  bytes
                                    of object files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sleep+1">sleep(1)</A>                       suspend  execution   for   an
                                    interval

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?smart2cfg+1">smart2cfg(1)</A>                   Compaq Smart-2  EISA/PCI  and
                                    Smart-2SL   PCI   Array  Con-
                                    troller ioctl utility

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?soelim+1">soelim(1)</A>                      resolve  and  eliminate   .so
                                    requests  from nroff or troff
                                    input

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?solregis+1">solregis(1)</A>                    Solaris user registration

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sort+1">sort(1)</A>                        sort,  merge,   or   sequence
                                    check text files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sortbib+1">sortbib(1)</A>                     sort a bibliographic database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sotruss+1">sotruss(1)</A>                     trace  shared  library   pro-
                                    cedure calls

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?source+1">source(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?exec+1">exec(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sparc+1">sparc(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?spell+1">spell(1)</A>                       report spelling errors

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?spellin+1">spellin(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?spell+1">spell(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?spline+1">spline(1)</A>                      interpolate smooth curve

SunOS 5.6           Last change: 31 Dec 1996                   27

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?split+1">split(1)</A>                       split a file into pieces

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?srchtxt+1">srchtxt(1)</A>                     display   contents   of,   or
                                    search  for a text string in,
                                    message data bases

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?stop+1">stop(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?jobs+1">jobs(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?strchg+1">strchg(1)</A>                      change or query stream confi-
                                    guration

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?strconf+1">strconf(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?strchg+1">strchg(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?strings+1">strings(1)</A>                     find printable strings in  an
                                    object or binary file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?strip+1">strip(1)</A>                       strip symbol table, debugging
                                    and  line  number information
                                    from an object file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?stty+1">stty(1)</A>                        set the options for a  termi-
                                    nal

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?stty+1B">stty(1B)</A>                       set the options for a  termi-
                                    nal

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sum+1">sum(1)</A>                         print  checksum   and   block
                                    count for a file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sum+1B">sum(1B)</A>                        calculate a  checksum  for  a
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sun+1">sun(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?suspend+1">suspend(1)</A>                     shell  built-in  function  to
                                    halt the current shell

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?switch+1">switch(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?case+1">case(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?symorder+1">symorder(1)</A>                    rearrange a list of symbols

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sysV-make+1">sysV-make(1)</A>                   maintain, update, and  regen-
                                    erate groups of programs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t300+1">t300(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t300+1B">t300(1B)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t300s+1">t300s(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t300s+1B">t300s(1B)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

SunOS 5.6           Last change: 31 Dec 1996                   28

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t4013+1B">t4013(1B)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t4014+1">t4014(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t450+1">t450(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?t450+1B">t450(1B)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tabs+1">tabs(1)</A>                        set tabs on a terminal

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tail+1">tail(1)</A>                        deliver the last  part  of  a
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?talk+1">talk(1)</A>                        talk to another user

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tar+1">tar(1)</A>                         create tape archives and  add
                                    or extract files

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tbl+1">tbl(1)</A>                         format tables  for  nroff  or
                                    troff

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tcopy+1">tcopy(1)</A>                       copy a magnetic tape

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tee+1">tee(1)</A>                         replicate the standard output

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tek+1">tek(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tek+1B">tek(1B)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?telnet+1">telnet(1)</A>                      user interface  to  a  remote
                                    system  using the TELNET pro-
                                    tocol

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?test+1">test(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?if+1">if(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?test+1B">test(1B)</A>                       condition evaluation command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?test+1F">test(1F)</A>                       condition evaluation command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tftp+1">tftp(1)</A>                        trivial file transfer program

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?time+1">time(1)</A>                        time a simple command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?times+1">times(1)</A>                       shell  built-in  function  to
                                    report  time  usages  of  the
                                    current shell

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?timex+1">timex(1)</A>                       time a command;  report  pro-
                                    cess data and system activity

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tip+1">tip(1)</A>                         connect to remote system

SunOS 5.6           Last change: 31 Dec 1996                   29

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tnfdump+1">tnfdump(1)</A>                     converts binary TNF  file  to
                                    ASCII

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tnfxtract+1">tnfxtract(1)</A>                   extract kernel probes  output
                                    into a trace file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?touch+1">touch(1)</A>                       change file access and modif-
                                    ication times

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?touch+1B">touch(1B)</A>                      change file access and modif-
                                    ication times

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>                       graphics filters for  various
                                    plotters

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tput+1">tput(1)</A>                        initialize  a   terminal   or
                                    query terminfo database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tr+1">tr(1)</A>                          translate characters

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tr+1B">tr(1B)</A>                         translate characters

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?trap+1">trap(1)</A>                        shell built-in  functions  to
                                    respond to (hardware) signals

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?troff+1">troff(1)</A>                       typeset or format documents

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?true+1">true(1)</A>                        provide truth values

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?truss+1">truss(1)</A>                       trace system calls  and  sig-
                                    nals

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tset+1B">tset(1B)</A>                       establish or restore terminal
                                    characteristics

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tsort+1">tsort(1)</A>                       topological sort

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tty+1">tty(1)</A>                         return user's terminal name

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?type+1">type(1)</A>                        write a description  of  com-
                                    mand type

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?typeset+1">typeset(1)</A>                     shell built-in  functions  to
                                    set/get attributes and values
                                    for shell variables and func-
                                    tions

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?u370+1">u370(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?u3b+1">u3b(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?u3b15+1">u3b15(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   30

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?u3b2+1">u3b2(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?u3b5+1">u3b5(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ucblinks+1B">ucblinks(1B)</A>                   adds  /dev  entries  to  give
                                    SunOS 4.x compatible names to
                                    SunOS 5.x devices

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ul+1">ul(1)</A>                          do underlining

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ulimit+1">ulimit(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?limit+1">limit(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?umask+1">umask(1)</A>                       get  or  set  the  file  mode
                                    creation mask

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unalias+1">unalias(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?alias+1">alias(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uname+1">uname(1)</A>                       print name of current system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uncompress+1">uncompress(1)</A>                  See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?compress+1">compress(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unexpand+1">unexpand(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?expand+1">expand(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unget+1">unget(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-unget+1">sccs-unget(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unhash+1">unhash(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?hash+1">hash(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unifdef+1">unifdef(1)</A>                     resolve and  remove  ifdef'ed
                                    lines from C program source

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uniq+1">uniq(1)</A>                        report or filter out repeated
                                    lines in a file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?units+1">units(1)</A>                       converts quantities expressed
                                    in  standard  scales to other
                                    scales

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unix2dos+1">unix2dos(1)</A>                    convert text  file  from  ISO
                                    format to DOS format

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unlimit+1">unlimit(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?limit+1">limit(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unpack+1">unpack(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?pack+1">pack(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unset+1">unset(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1">set(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unset+1F">unset(1F)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1F">set(1F)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?unsetenv+1">unsetenv(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?set+1">set(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?until+1">until(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?while+1">while(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   31

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uptime+1">uptime(1)</A>                      show how long the system  has
                                    been up

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?users+1B">users(1B)</A>                      display  a  compact  list  of
                                    users logged in

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uucp+1C">uucp(1C)</A>                       UNIX-to-UNIX system copy

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uudecode+1C">uudecode(1C)</A>                   See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uuencode+1C">uuencode(1C)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uuencode+1C">uuencode(1C)</A>                   encode  a  binary  file,   or
                                    decode  its encoded represen-
                                    tation

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uuglist+1C">uuglist(1C)</A>                    print  the  list  of  service
                                    grades  that are available on
                                    this UNIX system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uulog+1C">uulog(1C)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uucp+1C">uucp(1C)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uuname+1C">uuname(1C)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uucp+1C">uucp(1C)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uupick+1C">uupick(1C)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uuto+1C">uuto(1C)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uustat+1C">uustat(1C)</A>                     uucp status inquiry  and  job
                                    control

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uuto+1C">uuto(1C)</A>                       public  UNIX-to-UNIX   system
                                    file copy

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?uux+1C">uux(1C)</A>                        UNIX-to-UNIX  system  command
                                    execution

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vacation+1">vacation(1)</A>                    reply to mail automatically

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?val+1">val(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?sccs-val+1">sccs-val(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valdate+1">valdate(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckdate+1">ckdate(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valgid+1">valgid(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckgid+1">ckgid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valint+1">valint(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckint+1">ckint(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valpath+1">valpath(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckpath+1">ckpath(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valrange+1">valrange(1)</A>                    See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckrange+1">ckrange(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valstr+1">valstr(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckstr+1">ckstr(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valtime+1">valtime(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?cktime+1">cktime(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valuid+1">valuid(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckuid+1">ckuid(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   32

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?valyorn+1">valyorn(1)</A>                     See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ckyorn+1">ckyorn(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vax+1">vax(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?machid+1">machid(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vc+1">vc(1)</A>                          version control

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vedit+1">vedit(1)</A>                       See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vi+1">vi(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ver+1">ver(1)</A>                         See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?tplot+1">tplot(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vgrind+1">vgrind(1)</A>                      grind nice program listings

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vi+1">vi(1)</A>                          screen-oriented      (visual)
                                    display editor based on ex

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?view+1">view(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vi+1">vi(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vipw+1B">vipw(1B)</A>                       edit the password file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?volcancel+1">volcancel(1)</A>                   cancel  user's  request   for
                                    removable  media  that is not
                                    currently in drive

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?volcheck+1">volcheck(1)</A>                    checks for media in  a  drive
                                    and  by  default  checks  all
                                    floppy media

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?volmissing+1">volmissing(1)</A>                  notify   user   that   volume
                                    requested  is  not in the CD-
                                    ROM or floppy drive

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?volrmmount+1">volrmmount(1)</A>                  call  rmmount  to  mount   or
                                    unmount media

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vplot+1B">vplot(1B)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?plot+1B">plot(1B)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?vsig+1F">vsig(1F)</A>                       synchronize a co-process with
                                    the controlling FMLI applica-
                                    tion

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?w+1">w(1)</A>                           display   information   about
                                    currently logged-in users

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?wait+1">wait(1)</A>                        await process completion

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?wc+1">wc(1)</A>                          display  a  count  of  lines,
                                    words  and  characters  in  a
                                    file

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?what+1">what(1)</A>                        extract SCCS version informa-
                                    tion from a file

SunOS 5.6           Last change: 31 Dec 1996                   33

User Commands                                            Intro(1)

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?whatis+1">whatis(1)</A>                      display  a  one-line  summary
                                    about a keyword

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?whence+1">whence(1)</A>                      See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?typeset+1">typeset(1)</A>

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?whereis+1B">whereis(1B)</A>                    locate  the  binary,  source,
                                    and  manual  page files for a
                                    command

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?which+1">which(1)</A>                       locate a command; display its
                                    pathname or alias

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?while+1">while(1)</A>                       shell built-in  functions  to
                                    repetitively execute a set of
                                    actions  while/until   condi-
                                    tions are evaluated TRUE

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?who+1">who(1)</A>                         who is on the system

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?whoami+1B">whoami(1B)</A>                     display the effective current
                                    username

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?whocalls+1">whocalls(1)</A>                    report  on  the  calls  to  a
                                    specific procedure.

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?whois+1">whois(1)</A>                       Internet user name  directory
                                    service

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?write+1">write(1)</A>                       write to another user

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xargs+1">xargs(1)</A>                       construct argument lists  and
                                    invoke utility

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xgettext+1">xgettext(1)</A>                    extract gettext call  strings
                                    from C programs

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?xstr+1">xstr(1)</A>                        extract strings from  C  pro-
                                    grams   to  implement  shared
                                    strings

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?yacc+1">yacc(1)</A>                        yet another compiler-compiler

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ypcat+1">ypcat(1)</A>                       print values in a  NIS  data-
                                    base

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ypmatch+1">ypmatch(1)</A>                     print the  value  of  one  or
                                    more keys from a NIS map

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?yppasswd+1">yppasswd(1)</A>                    change your network  password
                                    in the NIS database

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?ypwhich+1">ypwhich(1)</A>                     return name of NIS server  or

SunOS 5.6           Last change: 31 Dec 1996                   34

User Commands                                            Intro(1)

                                    map master

     <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?zcat+1">zcat(1)</A>                        See <A HREF="http://www.cs.fsu.edu/cgi-bin/man.cgi?compress+1">compress(1)</A>

SunOS 5.6           Last change: 31 Dec 1996                   35

</PRE>
<hr>
<A href="http://www.cs.fsu.edu/cgi-bin/man.cgi"><IMG SRC=http://www.soton.ac.uk/cp/icons/pages.gif ALT="">
Back to Man Pages main page</a>
<p>
<a href="http://www.cs.fsu.edu"><img src="/icons/marbleleft.gif">Back to
CS home page</a>
  <hr>
  <ADDRESS>
  &#169; 1994 <A HREF="http://www.ntua.gr/~christia/man-cgi.html">Man-cgi 1.15S</A>, Panagiotis Christias &lt;christia@theseas.ntua.gr&gt;
  <br>
  1995 Modified for Solaris 2.3, David Adams, &lt;d.j.adams@soton.ac.uk&gt;
  </ADDRESS>
</body>
</html>
