#include "config.h"
#include "resoff.h"

/*======================================================================
  Function openerrmsg
  Input : 
  Output : error message
  print open error message
======================================================================*/
void openerrmsg() 
{
    switch(errno) {
        case EACCES:
            fprintf(stderr, "The requested access to the file is not "
                    "allowed.\n");
            break;
        case ENOENT:
            fprintf(stderr, "The subdirectory does not exist.\n");
            break;
        case ENOTDIR:
            fprintf(stderr, "Given directory is not a directory.\n");
            break;
        case ENOSPC:
            fprintf(stderr, "File created but no room for the new file.\n");
            break;
        case ENFILE:
            fprintf(stderr, "The  limit on the total number of files open "
                    "on the system has been reached.\n");
            break;
        default:
            perror("open error");
            break;
    }
}

/*======================================================================
  Function socketerrmsg
  Input : 
  Output : error message
  print socket error message
======================================================================*/
void socketerrmsg() 
{
    switch(errno) {
        case EPROTONOSUPPORT:
        case EINVAL:
            fprintf(stderr, "Protocol error.\n");
            break;
        case ENFILE:
        case ENOBUFS:
        case ENOMEM:
            fprintf(stderr, "Not enough memory for socket.\n");
            break;
        case EACCES:
            fprintf(stderr, "No permission to create a socket.\n");
            break;
        default:
            perror("socket error");
            break;
    }
}


/*======================================================================
  Function binderrmsg
  Input : 
  Output : error message
  print bind error message
======================================================================*/
void binderrmsg()
{
    switch(errno) {
        case EBADF:
        case ENOTSOCK:
        case ENAMETOOLONG:
            fprintf(stderr, "Invalid parameter.\n");
            break;
        case EINVAL:
            fprintf(stderr, "The socket is already bound to  an  address.\n");
            break;
        case EACCES:
            fprintf(stderr, "The address is protected, and the user is  not "
                    "the super-user.\n");
            break;
        case EFAULT:
            fprintf(stderr, "The address is outside of the user's accessible "
                    "address space.\n");
            break;
        case ENOMEM:
            fprintf(stderr, "Insufficient kernel memory.\n");
            break;
        default:
            perror("bind error");
            break;
    }
}

/*======================================================================
  Function connerrmsg
  Input : 
  Output : error message
  print connect error message
======================================================================*/
void connerrmsg()
{
    switch(errno) {
        case EFAULT:
            error_quit('6');
            break;
        default:
            /*perror("connection error");*/ /* remain for debugging */
            error_quit('7');
            break;
    }
}
