#include "config.h"
#include "resoff.h"
#include "boolean.h"

/*======================================================================
  Function resoffserve
  Input : file name, lock file name, file descriptor, received string
  Output : return string code to client
  server interpretation of client code and execute corresponding
  functions
======================================================================*/
void resoffserve(char *filename, char *lf, int connfd, char *recvline) 
{
    int fd;                           /* file descriptor */
    int option;                       /* kind of options */
    int argc;                         /* pseudo number of arguments */
    char *argv[5];                    /* pseudo arguments of main function */
    uid_t uid;                        /* user id */
    char buf[3];                      /* sending error message to client */
    int i;

    option = server_cmdchk(recvline, &argc, argv, &uid); /* check command */
    if ( !option ) {                  /* if no proper option */
        snprintf(buf, sizeof(buf), "1\6");
        if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
            ERR_QUIT ("write in resoffserve");
    }
    else {                            /* got option */
        fd = open (filename, O_RDWR, S_IRUSR | S_IWUSR); /* already created */
        if ( fd < 0 ) {
            openerrmsg();
            remove_lock(lf);
            exit(ERROR);
        }
        switch( option ) {
            case _RESERVE:
                reserve(fd, connfd, argv, uid);
                break;
            case _CANCEL:
                cancel(fd, connfd, argv, uid);
                break;
            case _LIST:
                list(fd, connfd);
                break;
            case _ERR_RESERVE:
            case _ERR_CANCEL:
                snprintf(buf, sizeof(buf), "5\6");
                if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
                    ERR_QUIT ("write in cancel");
                break;
            default:
                ERR_QUIT("option");                         /* unreachable */
                break;
        }
        
        close(fd);
        for (i=0; i < argc; i++) {
            free(argv[i]);
        }
    }
}

