#include "config.h"
#include "resoff.h"
#include "boolean.h"

int main(int argc, char **argv) {

    int option;                       /* kind of options */
    char *server;
    struct hostent *hosts;
    char *strport;
    int portnumber;
    int sockfd;
    struct sockaddr_in servaddr;
   
    option = client_cmdchk(argc, argv);    
    if ( !option ) {
        print_usage();
	error_quit('D');
    }
       
    if ( !(server = getenv("RESOFFHOST")) ) {
        server = "teak.csit.fsu.edu";          /**/ /*mom*/
    }
    if ( !(hosts = gethostbyname(server)) ) {
        error_quit('6');
    }

    if ( !(strport = getenv("RESOFFPORT")) ) {
        portnumber = SERV_PORT;
    }
    else {
        if ( is_all_digit(strport) )
            portnumber = atoi(strport);
        else
            error_quit ('E');
    }
    
    if ( (sockfd = socket(AF_INET, SOCK_STREAM, 0)) < 0 ){
        error_quit('7');                   /* similar error code */
    }

    memset (&servaddr, 0, sizeof(servaddr));
    servaddr.sin_family = AF_INET;
    servaddr.sin_port = htons(portnumber);
    servaddr.sin_addr = *(struct in_addr *) (hosts->h_addr_list[0]);
    
    if ( (connect(sockfd, (SA *) &servaddr, sizeof(servaddr))) < 0 ) {
        connerrmsg();
    }
    
    switch( option ) {
    case _RESERVE:
        req_reserve(sockfd, argv);
        break;
    case _CANCEL:
        req_cancel(sockfd, argc, argv);
        break;
    case _LIST:
        req_list(sockfd);
	break;
    default:
        ERR_QUIT("option");                         /* unreachable */
        break;
    }

    exit(NORMAL);
}
