#include "config.h"
#include "resoff.h"
#include "boolean.h"

int server_cmdchk (char *recvline, int *argc, char **argv, uid_t *uid)
{
    int i;
    char *argvs[5];             /* received server part arguments */
    char *p;                    /* temporary pointer for string allocation */
    char word[10];              /* a word string */
    char n;                     /* length of the word */
    struct passwd *puid;        /* passwd for user name and uid */
    char *ptr;                  /* pointer to some of recvline */
    int count = 0;              /* temporary pointer to recvline */
    int len;                    /* length of recvline */
    
    *argc = 0;
    len = strlen(recvline);
 
    /* dummy argument for the old form of the main arguments */
    p = malloc(8);
    strcpy(p, "resoffd");
    argv[0] = p;

    /* read the received arguments as words */
    ptr = &recvline[0];
    for (i=0; i<6; i++) {
        if ( count >= len ) break;
        if ( (n = readword(ptr, word, 10)) > 0 ) {
            p = malloc(n);
            strcpy(p, word);
            argvs[i] = p;
            count += n;
            ptr = &recvline[++count];
        }
        else break;

        if ( i == 5 ) {               /* too many arguments */
            return (FALSE);
        }
    }

    if ( i == 0 )
        return (FALSE);
    
    if ( i > 1 )
        *argc = i;                             /* r or d */
    else
        *argc = 2;                             /* l */

    argv[1] = argvs[0];                        /* argvs[1] is userid */
    
    for (i=2; i<*argc; i++) {
        argv[i] = argvs[i];
    }
    

    if ( *argc > 2 ) {
        if ( is_all_digit(argvs[1]) )
            puid = getpwuid( (*uid = (uid_t)atoi(argvs[1])) );
        else
            return (FALSE);
    }
    
    if ( puid == NULL )
        return (FALSE);
        
    if ( strlen(argv[1]) == 1 ) {              /* r, d, l */
        switch( argv[1][0] ) {
            case 'r' :
                if ( *argc == 5 ) {
                    if ( is_rsv_cmd(argv) )
                        return (_RESERVE);
                }
                else return (_ERR_RESERVE);
                break;
            case 'd' :
                if ( *argc == 5 ) { 
                    if ( is_cancel_cmd(argv) )
                        return (_CANCEL);
                }
                else return (_ERR_CANCEL);
                break;
            case 'l' :
                if ( *argc == 2 ) { return (_LIST); }
                break;
            default:
                return (FALSE);
	}
    }
    return (FALSE);
}

