#include "config.h"
#include "echo.h"

int
main(int argc, char **argv)
{
   int sockfd, n;
   struct sockaddr_in servaddr;
   struct hostent *hosts;
   char *server;
   char sendline[20], recvline[200];
   
   if ( !(server = getenv ("SERVERHOST"))) {
      server = "teak.csit.fsu.edu";
   }
   if ( !(hosts = gethostbyname (server))) {
      ERR_QUIT ("gethostbyname");
   }
   if ( (sockfd = socket(AF_INET, SOCK_STREAM, 0)) < 0){
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family = AF_INET;
   servaddr.sin_port = htons(SERV_PORT);
   servaddr.sin_addr = *(struct in_addr *) (hosts->h_addr_list[0]);

   CHECK (connect(sockfd, (SA *) &servaddr, sizeof(servaddr)));

   n = sizeof(sendline);
   snprintf(sendline, n, "%s %s", argv[1], argv[2]);
   if ( (write(sockfd, sendline, n)) != n )
       ERR_QUIT ("writing");
   
   if ( (n = readline(sockfd, recvline, 200)) > 0) {
       recvline[n] = 0;	/* null terminate */
       if (fputs(recvline, stdout) == EOF)
           ERR_QUIT("fputs error");
   }
   
   if ( n < 0 ) {
       ERR_QUIT ("reading");
   }
          
   /*str_cli(1, sockfd); *//* do it all */

   exit(0);
}
