#include "config.h"
#include "echo.h"
#include <signal.h>

int
main(int argc, char **argv)
{
   int listenfd, connfd, n;
   pid_t childpid;
   socklen_t clilen;
   struct sockaddr_in cliaddr, servaddr;
   char buf[200];
   char recvline[20];
   void sig_chld(int);
   
   if ( (listenfd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family      = AF_INET;
   servaddr.sin_addr.s_addr = htonl(INADDR_ANY);
   servaddr.sin_port        = htons(SERV_PORT);

   CHECK (bind (listenfd, (SA *) &servaddr, sizeof (servaddr)));

   CHECK (listen (listenfd, LISTENQ));

   Signal(SIGCHLD, sig_chld);
   
   for ( ; ; ) {
      clilen = sizeof(cliaddr);
      if ( (connfd = accept(listenfd, (SA *) &cliaddr, &clilen)) < 0) {
          if (errno == EINTR)
              continue;
          else
              ERR_QUIT ("accept");
      }
      
      if ( (childpid = fork()) == 0 ) {
          CHECK (close (listenfd));
          sprintf(buf, "Hello!");
      
          if ( (n = readline(connfd, recvline, 20)) != 0 ) {
              strcat(buf, ":");
              strcat(buf, recvline);
              strcat(buf, "\n");
          }
      
          if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
              ERR_QUIT ("write");

          sprintf(buf, "Second\n");
          
          if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
              ERR_QUIT ("write");

          sprintf(buf, "Third\n");
          
          if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
              ERR_QUIT ("write");

          exit(0);
      }
      
      /*str_echo (connfd); */
      
      CHECK (close (connfd)); /* parent closes connected socket */
   }
}

Sigfunc *
signal(int signo, Sigfunc *func)
{
    struct sigaction        act, oact;
    
    act.sa_handler = func;
    sigemptyset(&act.sa_mask);
    act.sa_flags = 0;
    if (signo == SIGALRM) {
#ifdef  SA_INTERRUPT
        act.sa_flags |= SA_INTERRUPT;   /* SunOS 4.x */
#endif
    } else {
#ifdef  SA_RESTART
        act.sa_flags |= SA_RESTART;     /* SVR4, 44BSD */
#endif
    }
    if (sigaction(signo, &act, &oact) < 0)
        return(SIG_ERR);
    return(oact.sa_handler);
}
/* end signal */

Sigfunc *
Signal(int signo, Sigfunc *func)        /* for our signal() function */
{
    Sigfunc *sigfunc;
    
    if ( (sigfunc = signal(signo, func)) == SIG_ERR)
        ERR_QUIT("signal error");
    return(sigfunc);
}
