#ifndef TEST
#define TEST
#define _XOPEN_SOURCE 500
#define _REENTRANT

#include <stdio.h>
#include <signal.h>
#include <unistd.h>

typedef void Sigfunc(int);

Sigfunc *Signal (int, Sigfunc *);
Sigfunc *signal (int, Sigfunc *);
void connect_alarm(int);
#endif

int main() 
{
    Sigfunc *sigfunc;
    
    sigfunc = Signal(SIGALRM, connect_alarm);
    if (alarm(1) != 0) {
        fprintf(stderr, "Alarm was already set\n");
        exit(0);
    }
    
    alarm(0);
    Signal(SIGALRM, sigfunc);
    printf("done.\n");

    return (0);
}

Sigfunc *
signal(int signo, Sigfunc *func)
{
    struct sigaction  act, oact;
    
    act.sa_handler = func;
    sigemptyset(&act.sa_mask);
    act.sa_flags = 0;
    if (signo == SIGALRM) {
#ifdef  SA_INTERRUPT
        act.sa_flags |= SA_INTERRUPT;   /* SunOS 4.x */
#endif
    } else {
#ifdef  SA_RESTART
        act.sa_flags |= SA_RESTART;     /* SVR4, 44BSD */
#endif
    }
    if (sigaction(signo, &act, &oact) < 0)
        return(SIG_ERR);
    return(oact.sa_handler);
}


Sigfunc *
Signal(int signo, Sigfunc *func)        /* for our signal() function */
{
    Sigfunc *sigfunc;
    
    if ( (sigfunc = signal(signo, func)) == SIG_ERR) {
        fprintf(stderr, "signal error");
        exit(0);
    }
    
    return(sigfunc);
}

void
connect_alarm(int signo)
{
    return;
}
