/* file: resoff.h

 */

#ifndef RESOFF_H

#define RESOFF_H
#define CHECK(CALL)\
 if ((CALL) < 0) {\
    perror (#CALL);\
    _exit (-1);\
 }

#define ERR_QUIT(MSG) {\
 perror (MSG);\
 _exit (-1);\
 }

#define SERV_PORT 11112
#define LISTENQ 4
#define SA struct sockaddr
#define MAXLINE 1024

#define _RESERVE 1
#define _CANCEL  2
#define _LIST    3
#define _ERR_RESERVE 11
#define _ERR_CANCEL 12

typedef void Sigfunc(int);

typedef struct {       /* typedef for a desk */
  uid_t uid;
  char class[8];       /* class name */
} Desks;
typedef struct {       /* typedef for a time block */
  int count;           /* number of empty desk */
  int empty[4];        /* Boolean of empty desk */
  Desks desk[4];       /* 4 desks */
} Room;

char  tbuf[7][1200];    /* buffer for printing proper order of days */

extern ssize_t readline(int fd, void *vptr, size_t maxlen);
extern ssize_t readword(char *lptr, void *vptr, size_t maxlen);
extern ssize_t cpyline(char *lptr, void *vptr, size_t maxlen);
extern ssize_t Readline(int fd, void *ptr, size_t maxlen);
extern ssize_t writen(int fd, const void *vptr, size_t n);
extern void Writen (int fd, void *ptr, size_t nbytes);
Sigfunc *Signal (int, Sigfunc *);
Sigfunc *signal (int, Sigfunc *);
void req_reserve (int, char **);
int  rsv_msg_chk (char *);
void rsv_result(char *);
void req_cancel (int, int, char **);
int  cancel_msg_chk (char *);
void cancel_result(char *);
void error_quit (char);
void req_list (int);
int  client_cmdchk (int, char **);
int  is_rsv_cmd (char **);
int  course_check(char *);
int  get_db_index(char **);
int  is_cancel_cmd (char **);
int  is_all_digit (char *);
void print_usage ();
void openerrmsg();
void socketerrmsg();
void binderrmsg();
void connerrmsg();
void resoffserve(char *, char *, int, char *);
int  server_cmdchk(char *, int *, char **, uid_t *);
void reserve(int, int, char **, uid_t);
char validity(int, Room, char *, int, uid_t);
char check_day_reserve(int, int, uid_t);
void cancel(int, int, char **, uid_t);
int  get_desk_number(Room, char **, uid_t);
void list(int, int);
void print_head(int);
int  print_day(int);
int  get_day(int);
int  time_print(int, int);
void sig_chld(int);
void make_upper(char *);
void remove_lock(char *);
int  initdb(int);
#endif
