#include "config.h"
#include "echo.h"
#include <pthread.h>

void *thread_body (void * arg) 
{
    int i, n;
    char buf[2000];
    /*char buf1[20];*/
    char recvline[20];
    int *connfd = (int *) arg;

    printf ("thread starting to serve fd %d\n", *connfd);
    fflush (stdout);
    snprintf(buf, sizeof(buf), "Hello");
          
    if ( (n = readline_r(*connfd, recvline, 20)) != 0 ) {
        printf("recvline:%s\n", recvline);
        strncat(buf, ":", 1);
        for (i=0; i<350; i++) {
            strncat(buf, recvline, 5);
        }
        
    }
    
    if (recvline[0] == 'H') {
        write(*connfd, buf, 1757);
    }
    
    snprintf(buf, sizeof(buf), "Second");
    printf("sizeof(buf1):%d\n", sizeof(buf));
    n = write (*connfd, buf, 7);
    printf("returned n:%d\n", n);

    close(*connfd);
    free (connfd);
    return 0;
}
    
int
main(int argc, char **argv)
{
   int listenfd, *connfd;
   socklen_t clilen;
   struct sockaddr_in cliaddr, servaddr;
   int result;
   pthread_t server;
   pthread_attr_t attr;
   
   if ( (listenfd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family      = AF_INET;
   servaddr.sin_addr.s_addr = htonl(INADDR_ANY);
   servaddr.sin_port        = htons(SERV_PORT);

   CHECK (bind (listenfd, (SA *) &servaddr, sizeof (servaddr)));

   CHECK (listen (listenfd, LISTENQ));

   pthread_attr_init (&attr);
   pthread_attr_setdetachstate (&attr, PTHREAD_CREATE_DETACHED);
   
   for ( ; ; ) {
      clilen = sizeof(cliaddr);
      if (! (connfd = (int *) malloc (sizeof (int))))
          ERR_QUIT("out of memory");
      
      if ( (*connfd = accept(listenfd, (SA *) &cliaddr, &clilen)) < 0) {
          ERR_QUIT ("accept");
      }

      result = pthread_create(&server, &attr, thread_body, connfd);
      
      if (result) ERR_QUIT_2 ("thread creation", result);
   }
   
   return 0;
}
