#include "xresoff.h"

char rhelp[] =
    "Select \"Reserve\" of \"Resoff\" from menu bar. (Short key : ctrl + r)\n"
    " Type in a day (Monday 'M', Tuesday 'T', Wednesday 'W', Thursday - 'R',\n"
    "                            Friday - 'F', Saturday - 'S', Sunday - 'X')\n"
    "   in the top entry box,\n"
    "   type in time in the middle entry box,\n"
    "      MWF: '08:00' '09:05' '10:10' '11:15' '12:20'\n"
    "           '13:25' '14:30' '15:35' '17:15' '18:45' '20:15'\n"
    "     TRSX: '08:00' '09:30' '11:00' '12:30' '14:00'\n"
    "           '15:35' '17:15' '18:45' '20:15'\n"
    "   type in course number in the bottom entry box,\n"
    "        three letters and 4 digits - e.g. cop5570\n"
    "   and click on 'Get' button.\n\n";

char chelp[] =
    "Select \"Cancel\" of \"Resoff\" from menu bar. (Short key : ctrl + c)\n"
    " Type in a day ('M' 'T' 'W' 'R' 'F' 'S' 'X') in the top entry box,\n"
    "   type in time in the second entry box,\n"
    "   (see the 'Reserve' help in detail)\n"
    "   type in course number in the third entry box,\n"
    "   type in user name if you are owner of database and want to cancel\n"
    "   other's reservation,\n"
    "   and click on 'Get' button.\n\n";

char lhelp[] =
    "Select \"List\" of \"Resoff\" from menu bar. (Short key : ctrl + l)\n";

char qhelp[] =
    "Select \"Quit\" of \"Resoff\" from menu bar. (Short key : ctrl + q)\n";

char ohelp[] =
    "Select \"Host\" or \"Port\" of \"Option\" from menu bar,\n"
    " type in hostname or portnumber, and click on 'Get' button.\n";

void help_show( GtkWidget *w, gpointer data )
{
    GtkWidget *window;
    GtkWidget *box1;
    GtkWidget *box2;
    GtkWidget *button;
    GtkWidget *separator;
    GtkWidget *table;
    GtkWidget *vscrollbar;
    GtkWidget *text;
    GdkColormap *cmap;
    GdkColor color;
    GdkFont *fixed_font;

    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_widget_set_usize (window, 500, 500);
    gtk_window_set_policy (GTK_WINDOW(window), TRUE, TRUE, FALSE);  

    gtk_window_set_title (GTK_WINDOW (window), "On-line Help");
    gtk_container_set_border_width (GTK_CONTAINER (window), 0);    
  
    box1 = gtk_vbox_new (FALSE, 0);
    gtk_container_add (GTK_CONTAINER (window), box1);
    gtk_widget_show (box1); 
  
    box2 = gtk_vbox_new (FALSE, 10);
    gtk_container_set_border_width (GTK_CONTAINER (box2), 10);
    gtk_box_pack_start (GTK_BOX (box1), box2, TRUE, TRUE, 0);
    gtk_widget_show (box2);
  
    table = gtk_table_new (2, 2, FALSE);
    gtk_table_set_row_spacing (GTK_TABLE (table), 0, 2);
    gtk_table_set_col_spacing (GTK_TABLE (table), 0, 2);
    gtk_box_pack_start (GTK_BOX (box2), table, TRUE, TRUE, 0);
    gtk_widget_show (table);
  
    /* Create the GtkText widget */
    text = gtk_text_new (NULL, NULL);
    gtk_text_set_editable (GTK_TEXT (text), FALSE);
    gtk_table_attach (GTK_TABLE (table), text, 0, 1, 0, 1,
                      GTK_EXPAND | GTK_SHRINK | GTK_FILL,
                      GTK_EXPAND | GTK_SHRINK | GTK_FILL, 0, 0);
    gtk_widget_show (text);

    /* Add a vertical scrollbar to the GtkText widget */
    vscrollbar = gtk_vscrollbar_new (GTK_TEXT (text)->vadj);
    gtk_table_attach (GTK_TABLE (table), vscrollbar, 1, 2, 0, 1,
                      GTK_FILL, GTK_EXPAND | GTK_SHRINK | GTK_FILL, 0, 0);
    gtk_widget_show (vscrollbar);

    /* Get the system color map and allocate the color red */
    cmap = gdk_colormap_get_system();
    color.red = 0xffff;
    color.green = 0;
    color.blue = 0;
    if (!gdk_color_alloc(cmap, &color)) {
        g_error("couldn't allocate color");
    }

    /* Load a fixed font */
    fixed_font = gdk_font_load ("-misc-fixed-medium-r-*-*-*-100-*-*-*-*-*-*");

    /* Realizing a widget creates a window for it,
     * ready for us to insert some text */
    gtk_widget_realize (text);

    /* Freeze the text widget, ready for multiple updates */
    gtk_text_freeze (GTK_TEXT (text));
  
    gtk_text_insert(GTK_TEXT(text), fixed_font, NULL, NULL,
                    rhelp, sizeof(rhelp));
    gtk_text_insert(GTK_TEXT(text), fixed_font, NULL, NULL,
                    chelp, sizeof(chelp));
    gtk_text_insert(GTK_TEXT(text), fixed_font, NULL, NULL,
                    lhelp, sizeof(lhelp));
    gtk_text_insert(GTK_TEXT(text), fixed_font, NULL, NULL,
                    qhelp, sizeof(qhelp));
    gtk_text_insert(GTK_TEXT(text), fixed_font, NULL, NULL,
                    ohelp, sizeof(ohelp));
        
    separator = gtk_hseparator_new ();
    gtk_box_pack_start (GTK_BOX (box1), separator, FALSE, TRUE, 0);
    gtk_widget_show (separator);

    box2 = gtk_vbox_new (FALSE, 10);
    gtk_container_set_border_width (GTK_CONTAINER (box2), 10);
    gtk_box_pack_start (GTK_BOX (box1), box2, FALSE, TRUE, 0);
    gtk_widget_show (box2);
  
    button = gtk_button_new_with_label ("close");
    gtk_signal_connect_object (GTK_OBJECT(button), "clicked",
                               GTK_SIGNAL_FUNC(gtk_widget_destroy),
                               GTK_OBJECT(window));

    gtk_box_pack_start (GTK_BOX (box2), button, TRUE, TRUE, 0);
    GTK_WIDGET_SET_FLAGS (button, GTK_CAN_DEFAULT);
    gtk_widget_grab_default (button);
    gtk_widget_show (button);
    
    gtk_widget_show (window);

}

void help_about (GtkWidget *widget, gpointer data) {

   GtkWidget *dialog, *label, *okay_button;
   
   /* Create the widgets */
   
   dialog = gtk_dialog_new();
   label = gtk_label_new ("xresoff ver 1.1\nmade by Jungkee Kim\nDec. 2000");
   okay_button = gtk_button_new_with_label("Okay");
   
   /* Ensure that the dialog box is destroyed when the user clicks ok. */
   
   gtk_signal_connect_object (GTK_OBJECT (okay_button), "clicked",
                              GTK_SIGNAL_FUNC (gtk_widget_destroy),
                              GTK_OBJECT (dialog));
   gtk_container_add (GTK_CONTAINER (GTK_DIALOG(dialog)->action_area),
                      okay_button);

   /* Add the label, and show everything we've added to the dialog. */

   gtk_container_add (GTK_CONTAINER (GTK_DIALOG(dialog)->vbox),
                      label);
   gtk_widget_show_all (dialog);
}
