/*----------------------------------------------------------------------
  Header file : resoff.h
  Declarations of external functions and definitions of constants.
----------------------------------------------------------------------*/
#define _POSIX_C_SOURCE 199506L

#include <stdio.h>
#include <strings.h>
#include <unistd.h>
#include <fcntl.h>
#include <signal.h>
#include <pwd.h>
#include <sys/types.h>
#include <sys/stat.h>

#ifndef _STDDEF
#define _STDDEF 1
typedef struct {       /* typedef for a desk */
  uid_t uid;
  char class[8];       /* class name */
} Desks;
typedef struct {       /* typedef for a time block */
  int count;           /* number of empty desk */
  int empty[4];        /* Boolean of empty desk */
  Desks desk[4];       /* 4 desks */
} Room;
#endif

#define NORMAL 0
#define ERROR -1
#define TRUE   1
#define FALSE  0

#define _RESERVE 1
#define _CANCEL  2
#define _LIST    3

#define MAX_WAIT 30    /* 30 seconds to wait unlock */

/* global variables */
uid_t uid;             /* user id */
uid_t euid;            /* effective user id */
int   fd;              /* file descriptor of database */
char  buf[7][1200];    /* buffer for printing proper order of days */
char  lockfile[256];   /* lock file name */
 
int  initdb(char *);
int  get_option(int, char **);
void print_usage();
int  reserve(char*, char**);
int  cancel(char*, int, char**);
int  get_desk_number(Room, int, char **);
int  list(char *);
int  empty_db();
int  get_db_index(char **);
void print_head();
int  print_day(int);
int  get_day(int);
int  time_print(int, int);
int  course_check(char *);
void make_upper(char *);
int  validity(int, Room, char *);
void check_day_reserve(int);
void remove_lock();
