#include "resoff.h"
#include "checks.h"
#include "mask.h"

int list (char *filename) {

    int i, j;
    extern int fd;
    extern char buf[7][1200];
    char str[128];
    int len;
    int loc;
    int day;
    Room slot;
    struct passwd *user;
    sigset_t newset, oldset;

    CHECK (fd = open (filename, O_CREAT | O_RDWR,
		      S_IRUSR | S_IWUSR));

    if ( empty_db (fd) ) {
        printf("Empty database, please reserve first\n");
	CHECK (unlink (filename));
	remove_lock();
	exit (ERROR);
    }
    
    print_head();

    SIGFILL(newset);

    for (i=0; i<69; i++) {
        day = print_day(i);
	loc = i * sizeof(slot);
	BLOCK(newset, oldset);
	CHECK (lseek(fd, loc, SEEK_SET));
        CHECK (len = read (fd, &slot, sizeof(slot)));
	UNBLOCK(newset, oldset);
	if ( slot.count > 0 ) {
	    time_print(day, i);
	    for (j=0; j<4; j++) {
	        if ( !slot.empty[j] ) {
		    user = getpwuid(slot.desk[j].uid);
		    sprintf (str, " %s %s", user->pw_name,
			    slot.desk[j].class);
		    strcat (buf[day], str);
		}
	    }
	}
    }

    printf("%s\n\n%s\n\n%s\n\n%s\n\n%s\n\n%s\n\n%s\n",
	   buf[0], buf[3], buf[1], buf[4], buf[2], buf[5], buf[6]);
    

    CHECK (close (fd));

    return(0);

}

void print_head() {

    printf("--------------------------------------------------------------\n");
    printf("                     Office Reservation\n");
    printf("--------------------------------------------------------------\n");

}

int print_day(int i) {

    int day;
    extern char buf[7][1200];

    switch(i) {
    case 0:
        sprintf(buf[0], "Monday  ");
	return (0);
        break;
    case 11:
        sprintf(buf[1], "Wednesday");
	return (1);
        break;
    case 22:
        sprintf(buf[2], "Friday  ");
	return (2);
        break;
    case 33:
        sprintf(buf[3], "Tuesday ");
	return (3);
        break;
    case 42:
        sprintf(buf[4], "Thursday");
	return (4);
	break;
    case 51:
        sprintf(buf[5], "Saturday");
	return (5);
        break;
    case 60:
        sprintf(buf[6], "Sunday ");
	return (6);
        break;
    default:
        day = get_day(i);
	return (day);
        break;
    }

    return(ERROR);

}

int get_day(int i) {

    if ( i < 11 ) { return (0); }
    else if ( i < 22 ) { return (1); }
    else if ( i < 33 ) { return (2); }
    else if ( i < 42 ) { return (3); }
    else if ( i < 51 ) { return (4); }
    else if ( i < 60 ) { return (5); }
    else { return (6); }
    
    return (ERROR);

}

int time_print(int day, int i) {
    
    int index;
    char str[128];
    extern char buf[7][1200];
    char mwf_day[11][6] = {
        "08:00", "09:05", "10:10", "11:15", "12:20",
	"13:25", "14:30", "15:35", "17:15", "18:45", "20:15" };
    char trsx_day[9][6] = {
        "08:00", "09:30", "11:00", "12:30",
	"14:00", "15:35", "17:15", "18:45", "20:15" };

    switch (day) {
    case 0:
    case 1:
    case 2:
        index = i % 11;
	sprintf (str, "\n%s ", mwf_day[index]);
	strcat (buf[day], str);
	break;
    case 3:
    case 4:
    case 5:
    case 6:
        index = ( i - 33 ) % 9;
	sprintf(str, "\n%s ", trsx_day[index]);
	strcat (buf[day], str);
	break;
    default:
        break;
    }

    return (0);

}






