#include "resoff.h"
#include "checks.h"

int reserve (char *filename, char **argv) {

    int i;
    int db_index;
    int loc;
    extern int fd;
    int len;
    Room slot;

    db_index = get_db_index(argv);
    if ( db_index < 0 ) {
        exit(ERROR);
    }
    loc = db_index * sizeof(slot);
        
    CHECK (fd = open (filename, O_CREAT | O_RDWR,
		      S_IRUSR | S_IWUSR));

    if ( empty_db (fd) ) {
	initdb(filename);
    }

    CHECK (lseek (fd, loc, SEEK_SET));
    CHECK (len = read (fd, &slot, sizeof(slot)));

    if ( slot.count > -1 && slot.count < 4 ) {
        slot.count++;
        for (i=0; i<4; i++) {
	    if ( slot.empty[i] ) {
	        slot.empty[i] = FALSE;
	        slot.desk[i].uid = getuid();
		strcpy(slot.desk[i].class, argv[4]);
		CHECK (lseek (fd, loc, SEEK_SET));
		CHECK (len = write (fd, &slot, sizeof(slot)));
		CHECK (close(fd));
		return (NORMAL);
	    }
	}
    }
    else if ( slot.count == 4 ) {
        fprintf(stderr, "No empty desk at %s on %s\n", argv[3], argv[2]);
	CHECK (close(fd));
	exit (ERROR);
    }
    else {	
	fprintf(stderr, "Slot count error in reserve.\n");
	CHECK (close(fd));
	exit (ERROR);
    }
    
    /*CHECK (close(fd)); */
    return(NORMAL);

}

int get_db_index (char **argv) {

    int i, j;
    int index;
    char mwf_day[11][6] = {
        "08:00", "09:05", "10:10", "11:15", "12:20",
	"13:25", "14:30", "15:35", "17:15", "18:45", "20:15" };
    char trsx_day[9][6] = {
        "08:00", "09:30", "11:00", "12:30",
	"14:00", "15:35", "17:15", "18:45", "20:15" };

    if ( strlen (argv[2]) == 1 && strlen (argv[3]) == 5 ) {
        switch (argv[2][0]) {
	case 'M':
	    i = 0;
	    break;
	case 'W':
	    i = 1;
	    break;
	case 'F':
	    i = 2;
	    break;
	case 'T':
	    i = 3;
	    break;
	case 'R':
	    i = 4;
	    break;
	case 'S':
	    i = 5;
	    break;
	case 'X':
	    i = 6;
	    break;
	default:
	    fprintf (stderr, "day should be one of M, T, W, R, F, S, X\n");
	    exit(ERROR);
	}

        if ( i < 3 ) {        /* When M or W or F */
	    for (j=0; j<11; j++) {
	        if ( !strcmp (mwf_day[j], argv[3]) ) {
		    index = i * 11 + j;
		    return (index);
		}
	    }
	    fprintf (stderr, "%s cannot be a time slot of MWF\n", argv[3]);
	    return (ERROR);
	}
	else {
	    for (j=0; j<9; j++) {
	        if ( !strcmp (trsx_day[j], argv[3]) ) {
		    index = 33 + ( i - 3 ) * 9 + j;
		    return (index);
		}
	    }
	    fprintf (stderr, "%s cannot be a time slot of TRSX\n", argv[3]);
	    return (ERROR);
	}
    }

    return (ERROR);

}






