#include "config.h"
#include "echolib.h"

int
main(int argc, char **argv)
{
   int sockfd;
   struct sockaddr_in servaddr;
   struct hostent *hosts;
   char *server;

   if ( !(server = getenv ("SERVERHOST"))) {
      ERR_QUIT ("set SERVERHOST to name of server host");
   }
   if ( !(hosts = gethostbyname (server))) {
      ERR_QUIT ("gethostbyname");
   }
   if ( (sockfd = socket(AF_INET, SOCK_STREAM, 0)) < 0){
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family = AF_INET;
   servaddr.sin_port = htons(SERV_PORT);
   servaddr.sin_addr = *(struct in_addr *) (hosts->h_addr_list[0]);

   CHECK (connect(sockfd, (SA *) &servaddr, sizeof(servaddr)));

   str_cli(1, sockfd); /* do it all */

   exit(0);
}
