#define _C_POSIX_SOURCE 2
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include "mine.h"

int
main(int argc, char **argv)
{
   int listenfd, connfd;
   pid_t childpid;
   socklen_t clilen;
   struct sockaddr_in cliaddr, servaddr;

   if ( (listenfd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family      = AF_INET;
   servaddr.sin_addr.s_addr = htonl(INADDR_ANY);
   servaddr.sin_port        = htons(SERV_PORT);

   CHECK (bind (listenfd, (SA *) &servaddr, sizeof (servaddr)));

   CHECK (listen (listenfd, LISTENQ));

   for ( ; ; ) {
      clilen = sizeof(cliaddr);
      if ( (connfd = accept(listenfd, (SA *) &cliaddr, &clilen)) < 0) {
         ERR_QUIT ("accept");
      }
      if ( (childpid = fork()) == 0) { /* child process */
         CHECK (close (listenfd));  /* close listening socket */
         str_echo (connfd); /* process the request */
         exit(-1);
      }
      CHECK (close (connfd)); /* parent closes connected socket */
   }
}
