#define _REENTRANT
#include "config.h"
#include "echolib.h"
#include <pthread.h>

/* thread_body: serves as the body for a server thread
 */
void *thread_body (void * arg){
   int *connfd = (int *) arg;
   printf ("thread starting to serve fd %d\n", *connfd); fflush (stdout);
   /* do not close the listening socket
      since we are still in the same process!
   */
   str_echo (*connfd); /* process the request */
   CHECK (close (*connfd));
   /* Why do we need to call free here? */
   free (connfd);
   return 0;
}

int
main(int argc, char **argv)
{
   int listenfd, *connfd;
   socklen_t clilen;
   struct sockaddr_in cliaddr, servaddr;
   int result;
   pthread_t server;
   pthread_attr_t attr;

   if ( (listenfd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
      ERR_QUIT ("socket");
   }

   memset (&servaddr, 0, sizeof(servaddr));
   servaddr.sin_family      = AF_INET;
   servaddr.sin_addr.s_addr = htonl(INADDR_ANY);
   servaddr.sin_port        = htons(SERV_PORT);

   CHECK (bind (listenfd, (SA *) &servaddr, sizeof (servaddr)));

   CHECK (listen (listenfd, LISTENQ));

   pthread_attr_init (&attr);
   pthread_attr_setdetachstate (&attr, PTHREAD_CREATE_DETACHED);

   for ( ; ; ) {
      clilen = sizeof(cliaddr);
      if (! (connfd = (int *) malloc (sizeof (int))))
        ERR_QUIT ("out of memory");
      /* Why do we need to use malloc here? */
      if ( (*connfd = accept(listenfd, (SA *) &cliaddr, &clilen)) < 0) {
         ERR_QUIT ("accept");
      }

      result = pthread_create
	(&server, &attr, thread_body, connfd);

      if (result) ERR_QUIT_2 ("thread creation", result);
   }
   return 0;
}






