/* example4.c -- T. P. Baker, 13 September 1999, 11 September 2000

   This is an illustration of the use of getenv().
   Try compiling and executing this program after setting
   the value of an envronment XXXX to some value.
 */

/* putenv() is not in POSIX, yet, so we
   need _XOPEN_SOURCE and _XOPEN_VERSION 4 to get putenv() */
#define _XOPEN_SOURCE
#define _XOPEN_VERSION 4

#include <stdlib.h>
/* for getenv */
#include <stdio.h>
/* for printf */

int main (int argc, char **argv)
{
   char * p1;
   char * p2;
   char * p3;

   if ((p1 = getenv ("XXXX"))) printf ("XXXX = %s\n", p1);
   else printf ("XXXX is not defined in the environment\n");
   if ((p2 = getenv ("YYYY"))) printf ("YYYY = %s\n", p2);
   else printf ("YYYY is not defined in the environment\n");
   /* now we try something dangerous */
   if (putenv ("XXXX=a new value")) perror ("putenv");
   else {
      if (p1) printf ("XXXX (via p1) = %s\n", p1);
      if ((p3 = getenv ("XXXX"))) printf ("XXXX (fresh) = %s\n", p3);
      else printf ("XXXX is not defined in the environment");
   }
   return 0;
}

