#include <errno.h>
#include <time.h>

#include "resoff.h"
#include "checks.h"

int main(int argc, char **argv) {

    int option;
    int lfd;
    extern uid_t uid;
    extern uid_t euid;
    char filename[256];
    extern char lockfile[256];
    struct passwd *home;
    time_t start_time;
    time_t current_time;

    option = get_option(argc, argv);
    if ( !option ) {
        print_usage();
	exit(-1);
    }

    uid = getuid();
    euid = geteuid();

    home = getpwuid(euid);
    strcpy(filename, home->pw_dir);
    strcat(filename, "/resoff.db");

    strcpy(lockfile, home->pw_dir);
    strcat(lockfile, "/resoff.lock");

    lfd = open (lockfile, O_CREAT | O_EXCL, S_IRUSR | S_IWUSR);

    time (&start_time);
    current_time = start_time;

    while ( lfd < 0 && current_time - start_time < MAX_WAIT ) {
        if ( errno == EEXIST ) {
	    sleep(1);
	}
	else {
	    fprintf(stderr, "lock file open error except noexist\n");
	    exit (ERROR);
	}
	lfd = open (lockfile, O_CREAT | O_EXCL, S_IRUSR | S_IWUSR);
	time (&current_time);
    }
    
    if ( lfd < 0 ) {
        fprintf(stderr, "unsuccessful getting resource within limited time\n");
	exit(ERROR);
    }
    
    /* Commented out codes for limit lock waiting test
    printf("lock\n");
    sleep (35);
    */

    switch( option ) {
    case _RESERVE:
        reserve(filename, argv);
        break;
    case _CANCEL:
        cancel(filename, argc, argv);
        break;
    case _LIST:
        list(filename);
	break;
    default:
        break;
    }

    remove_lock();

    return NORMAL;

}





