#include "config.h"
#include "resoff.h"
#include "boolean.h"

void resoffserve(char *filename, char *lockfile, int connfd, char *recvline) 
{
    int option;                       /* kind of options */
    int fd;
    int argc;
    char *argv[5];
    uid_t uid;
    char buf[3];                      /* sending error message to client */
    int i;

    option = server_cmdchk(recvline, &argc, argv, &uid);
    if ( !option ) {
        printf("option:%d\n", option);
        snprintf(buf, sizeof(buf), "1\6");
        if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
            ERR_QUIT ("write in cancel");
    }
    else {
        fd = open (filename, O_CREAT | O_RDWR, S_IRUSR | S_IWUSR);
        if ( fd < 0 ) {
            openerrmsg();
            remove_lock(lockfile);
            exit(ERROR);
        }
        switch( option ) {
            case _RESERVE:
                reserve(fd, connfd, argv, uid);
                break;
            case _CANCEL:
                cancel(fd, connfd, argv, uid);
                break;
            case _LIST:
                list(fd, connfd);
                break;
            case _ERR_RESERVE:
                snprintf(buf, sizeof(buf), "Hello\n");
                printf("sizof(buf)%d\n", sizeof(buf));
                if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
                    ERR_QUIT ("write in cancel");
                break;
            case _ERR_CANCEL:
                snprintf(buf, sizeof(buf), "5\6");
                if ( (write(connfd, buf, strlen(buf))) != strlen(buf) )
                    ERR_QUIT ("write in cancel");
                break;
            default:
                ERR_QUIT("option");                         /* unreachable */
                break;
        }
        
        for (i=0; i < argc; i++) {
            free(argv[i]);
        }
    }
}

