#include "config.h"
#include "resoff.h"
#include "boolean.h"

void req_cancel (int sockfd, int argc, char **argv)
{
    char sendline[30];
    char recvline[3];
    uid_t uid;
    uid_t euid;
    uid_t target_uid;
    struct passwd *puid;
    int n;
        
    uid = getuid();
    euid = geteuid();

    if ( argc == 4 ) {
        target_uid = uid;
        puid = getpwuid(target_uid);
    }
    else {                             /* argc == 5 */
        puid = getpwnam(argv[4]);
        if ( puid == NULL )
            error_quit('2');
        target_uid = puid->pw_uid;
    }
    
    if ( uid != euid && target_uid != uid ) {
        error_quit('4');
    }
    
    n = sizeof(sendline);
    snprintf(sendline, n, "d %d %s %s %s",
             (int)target_uid, argv[2], argv[3], puid->pw_name);
        
    if ( (write(sockfd, sendline, n)) != n )
        ERR_QUIT ("writing");

    if ( (n = readline(sockfd, recvline, 4)) > 0) {
        recvline[n] = 0;	/* null terminate */
        printf("Received:%s\n", recvline);/**/
        if ( !(cancel_msg_chk(recvline)) ) 
            cancel_result(recvline);
    }

    if ( n < 0 ) {
        error_quit ('9');
    }
}


int cancel_msg_chk (char *recvline)
{
    if ( (recvline[0] >= '0' && recvline[0] <= '9') ||
         (recvline[0] >= 'A' && recvline[0] <= 'I') )
        return (0);

    error_quit('B');
    return (ERROR);                             /* unreachable */
}


void cancel_result(char *recvline)
{
    switch(recvline[0]) {
        case '0':
            printf("OK: DELETED\n");
            break;
        default:
            error_quit(recvline[0]);
            break;
    }
}
