#include "config.h"
#include "resoff.h"
#include "boolean.h"

void req_reserve (int sockfd, char **argv)
{
    char sendline[30];
    char recvline[10];
    uid_t uid;
    int n;
        
    uid = getuid();
    
    n = sizeof(sendline);
    snprintf(sendline, n, "r %d %s %s %s",
             (int)uid, argv[2], argv[3], argv[4]);
    printf("sendline:%s n:%d\n", sendline, n);
    
    if ( (write(sockfd, sendline, n)) != n )
        ERR_QUIT ("writing");

    if ( (n = readline(sockfd, recvline, 10)) > 0) {
        printf("rqsrv:n:%d %s\n", n, recvline);
        recvline[n] = 0;	/* null terminate */
        if ( !(rsv_msg_chk(recvline)) ) 
            rsv_result(recvline);
    }

    if ( n < 0 ) {
        error_quit ('9');
    }
}


int rsv_msg_chk (char *recvline)
{
    printf("rsv_msg_chk:%s\n", recvline);
    switch (recvline[0]) {
        case '0':
            if ( (recvline[1] >= '0' && recvline[1] <= '9') ||
                 (recvline[1] >= 'A' && recvline[1] <= 'I') )
                return (0);
            else
                error_quit('B');
            break;
        case '1':
        case '2':
        case '3':
        case '4':
            return (NORMAL);
            break;
        default:
            error_quit('B');
            break;
    }

    return (ERROR);                             /* unreachable */
}


void rsv_result(char *recvline)
{
    printf("rsv_result:%s\n", recvline);
    switch(recvline[0]) {
        case '0':
            error_quit(recvline[1]);
            break;
        case '1':
        case '2':
        case '3':
        case '4':
            printf("OK %c\n", recvline[0]);
            break;
        default:
            ERR_QUIT("unreachable code at rsv_result");
            break;
    }
}
