/*----------------------------------------------------------------------
  Header file : timex.h
  Declarations of external functions and definitions of constants.
----------------------------------------------------------------------*/
#ifndef MSG_WAITALL
#define MSG_WAITALL 0
#endif

#ifndef HAS_int32_t
#define uint32_t unsigned int
#define int32_t unsigned long
#endif

#define CHECK(CALL)\
 if ((CALL) < 0) {\
    perror (#CALL);\
    _exit (-1);\
 }

#define ERR_QUIT(MSG) {\
 perror (MSG);\
 _exit (-1);\
 }

#define SA struct sockaddr

#define NORMAL     0
#define NOFOUND    1
#define NORESPONSE 2
#define DISCARD    3

#define SKIP       1
#define ERROR     -1

typedef void Sigfunc(int);

/* global variables */
char server[25][50];        /* server names */
int action[25];             /* server action */
uint32_t ipaddress[25];     /* 32-bit IPv4 addresses */
struct timeval rectime[25]; /* local time when received */
time_t response[25];        /* response time */
long esttime[25];           /* best-estimated time value */
struct timeval sendtime;    /* local time when sending */
int counter;                /* # of input hosts */

/* function declarations */
void recordtime(struct sockaddr_in, struct timeval, uint32_t);
int getindex(struct sockaddr_in) ;
time_t totime(uint32_t);
long adjust();
void print_table(long);
void print_ip(int);
int  print_action(int);
void print_esttime(time_t);
void print_adjust(long);
Sigfunc *Signal (int, Sigfunc *);
Sigfunc *signal (int, Sigfunc *);
void timeout_alarm(int);
