#include "resoff.h"
#include "checks.h"
#include "mask.h"

int validity (int db_index, Room slot, char *course) {

    int i;
    extern uid_t uid;

    if ( slot.count != 0 ) {
        for (i=0; i<4; i++) {
	    if ( !slot.empty[i] ) {
	        if ( slot.desk[i].uid == uid ) {
		    fprintf(stderr, "you don't have to reserve twice\n");
		    remove_lock();
		    exit(ERROR);
		}
		else if ( !strcmp(slot.desk[i].class, course) ) {
		    fprintf(stderr, "conflict course reservation\n");
		    remove_lock();
		    exit(ERROR);
		}
	    }
	}
    }

    check_day_reserve (db_index);
    
    return (NORMAL);
  
}

void check_day_reserve (int db_index) {

    int rcount = 0;
    int i, j;
    int begin, max_slot;
    int loc;
    int len;
    int day;
    sigset_t newset, oldset;

    Room slot;
    extern uid_t uid;
    extern int fd;
    
    day = get_day (db_index);
    if ( day < 0 ) {
        fprintf(stderr, "db_index error\n");
	remove_lock();
	exit(ERROR);
    }

    switch (day) {
    case 0:
        begin = 0;
	max_slot = 11;
	break;
    case 1:
        begin = 11;
	max_slot = 11;
	break;
    case 2:
        begin = 2 * 11;
	max_slot = 11;
	break;
    case 3:
        begin = 33;
	max_slot = 9;
	break;
    case 4:
        begin = 33 + 9;
	max_slot = 9;
	break;
    case 5:
        begin = 33 + 9 * 2;
	max_slot = 9;
	break;
    case 6:
        begin = 33 + 9 * 3;
	max_slot = 9;
	break;
    default:
        fprintf (stderr, "illigal db_index error\n");
	remove_lock();
	exit(ERROR);
	break;
    }

    SIGFILL(newset);

    for ( i = begin; i < begin + max_slot; i++ ) {
        loc = i * sizeof (slot);
	BLOCK(newset, oldset);
	CHECK (lseek (fd, loc, SEEK_SET));
	CHECK (len = read (fd, &slot, sizeof(slot)));
	UNBLOCK(newset, oldset);
	if ( slot.count > 0 ) {
	    for (j=0; j<4; j++) {
	        if ( !slot.empty[j] ) {
		    if ( slot.desk[j].uid == uid ) {
		        rcount++;
		    }
		}
	    }
	}

	if ( rcount > 2 ) {
	  fprintf(stderr, "you cannot reserver more than three slots a day\n");
	  remove_lock();
	  exit(ERROR);
	}
    }

}
