#include "xresoff.h"

void call_cancel ( GtkWidget *widget, gpointer data )
{
    int n, fd[2];
    pid_t pid;
    char buf[4096];
    char line[1024];
    GtkLabel *a_label;
    
    a_label = GTK_LABEL( m_label );
    sprintf(buf, "Returned message:\n");
    
    if (pipe(fd) < 0) {
        fprintf(stderr, "pipe error");
        exit(-1);
    }
    
    if ( (pid = fork()) < 0 ) {
        fprintf(stderr, "fork error");
        exit(-1);
    }
    else if (pid==0) {
        close(fd[0]);
        dup2(fd[1], 1);
        dup2(fd[1], 2);
        if ( strlen(arg_id) > 1 ) {
            execl(pathname, "resoffc", "-d",
                  arg_day, arg_time, arg_id, NULL);
        }
        else {
            execl(pathname, "resoffc", "-d",
                  arg_day, arg_time, NULL);
        }
    }
    else {
        close(fd[1]);
        while ( (n = read(fd[0], line, 1024)) ){
            strncat(buf, line, n);
        }
        gtk_label_set_text(a_label, buf);
    }

}


void xcancel()
{
    GtkWidget *window, *label, *button;
    GtkWidget *entry_day, *entry_time, *entry_id;
    GtkWidget *vbox;
    
    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);

    vbox = gtk_vbox_new (FALSE, 0);
    gtk_container_add (GTK_CONTAINER (window), vbox);
    gtk_widget_show (vbox);

    label = gtk_label_new("Type in day, time, id(opt.):");
    gtk_box_pack_start (GTK_BOX (vbox), label, FALSE, FALSE, 1);
    
    entry_day = gtk_entry_new();
    gtk_entry_set_text(GTK_ENTRY(entry_day), "M");
    gtk_box_pack_start (GTK_BOX (vbox), entry_day, FALSE, FALSE, 1);
    entry_time = gtk_entry_new();
    gtk_entry_set_text(GTK_ENTRY(entry_time), "08:00");
    gtk_box_pack_start (GTK_BOX (vbox), entry_time, FALSE, FALSE, 1);
    entry_id = gtk_entry_new();
    gtk_entry_set_text(GTK_ENTRY(entry_id), "jungkkim");
    gtk_box_pack_start (GTK_BOX (vbox), entry_id, FALSE, FALSE, 1);
   
    button = gtk_button_new_with_label ("Get");
    gtk_box_pack_start (GTK_BOX (vbox), button, FALSE, FALSE, 1);
    gtk_signal_connect (GTK_OBJECT(button), "clicked",
                        GTK_SIGNAL_FUNC(get_entry_day),
                        (gpointer)entry_day);
    gtk_signal_connect (GTK_OBJECT(button), "clicked",
                        GTK_SIGNAL_FUNC(get_entry_time),
                        (gpointer)entry_time);
    gtk_signal_connect (GTK_OBJECT(button), "clicked",
                        GTK_SIGNAL_FUNC(get_entry_id),
                        (gpointer)entry_id);
    
    gtk_signal_connect (GTK_OBJECT(button), "clicked",
                        GTK_SIGNAL_FUNC(call_cancel), NULL);
    
    gtk_signal_connect_object (GTK_OBJECT(button), "clicked",
                               GTK_SIGNAL_FUNC(gtk_widget_destroy),
                               GTK_OBJECT(window));

    gtk_widget_show_all(window);

}
