/*----------------------------------------------------------------------
  Header file : xresoff.h
  Declarations of external functions and definitions of constants.
----------------------------------------------------------------------*/

#ifndef __XRESOFF_H__
#define __XRESOFF_H__

#define _BSD_SOURCE 1

#include <gtk/gtk.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

GtkWidget *m_label;       /* main window label */
GtkWidget *s_label;       /* label for the server name */
GtkWidget *p_label;       /* label for the port */

char server[256];         /* server name */
char port[10];            /* port name */
char pathname[256];       /* path name */
char arg_day[2];          /* day argument */
char arg_time[6];         /* time argument */
char arg_course[8];       /* course argument */
char arg_id[9];           /* user id name */
    
void option_menu( GtkWidget *w, gpointer data );
void get_main_menu( GtkWidget  *window, GtkWidget **menubar);
void help_show( GtkWidget *w, gpointer data );
void help_about( GtkWidget *w, gpointer data );
void xresoff_menu( GtkWidget *w, gpointer data );
void get_entry_day ( GtkWidget *widget, gpointer data);
void get_entry_time ( GtkWidget *widget, gpointer data);
void get_entry_course ( GtkWidget *widget, gpointer data);
void get_entry_id ( GtkWidget *widget, gpointer data);
void get_entry_host ( GtkWidget *widget, gpointer data);
void get_entry_port ( GtkWidget *widget, gpointer data);
void show_entry ( GtkWidget *widget, gpointer data );
void call_reserve ( GtkWidget *widget, gpointer data );
void call_cancel ( GtkWidget *widget, gpointer data );
void set_hostname ( GtkWidget *widget, gpointer data );
void set_portnumber ( GtkWidget *widget, gpointer data );
void get_env(void);    
void xreserve(void);
void xcancel(void);
void xlist(void);
void xsethost(void);
void xsetport(void);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XRESOFF_H__ */

